﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="DeducteeComputation_Delete.aspx.cs" Inherits="EasyTDS.View.DeducteeComputation_Delete" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "430"
        window.wd = "750"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

    <script>
        var permission;
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblBranch" runat="server" Text="Branch"></asp:Label>
                            <telerik:RadComboBox ID="CboBranch" runat="server" OnClientSelectedIndexChanged="CboBranch_OnClientSelectedIndexChanged">
                            </telerik:RadComboBox>
                        </td>
                        <td>
                            <asp:CheckBox ID="chkShowDeductee" runat="server" Text="Show only those deductees where certificate is not issued"
                                onclick="return showDeductees()" Visible="false" />
                        </td>
                        <td style="display: none">
                            <asp:Label ID="Label1" runat="server" Text="Select Section"></asp:Label>
                            <telerik:RadComboBox ID="cboSection" Width="350px" runat="server">
                            </telerik:RadComboBox>
                        </td>
                    </tr>
                </table>
            </div>
            <div class="RadGridCtr" style="padding-top: 3px">
                <telerik:RadGrid ID="dgData" SkinID="ClientPaging" EnableViewState="false" runat="server"
                    AllowPaging="true" AllowSorting="True" AllowMultiRowSelection="true" AllowFilteringByColumn="true"
                    GridLines="None" Height="85%" Width="100%" PageSize="25">
                    <ItemStyle Wrap="false" />
                    <MasterTableView AllowMultiColumnSorting="true" ClientDataKeyNames="deductee_pid,tanregistration_fid"
                        CommandItemDisplay="Bottom" TableLayout="Fixed">
                        <Columns>
                            <telerik:GridClientSelectColumn Visible="true" UniqueName="chkSelect" HeaderText="Select" ItemStyle-CssClass="chkSelect">
                                <HeaderStyle Width="5%" />
                            </telerik:GridClientSelectColumn>
                            <telerik:GridBoundColumn DataField="branchname" HeaderText="Branch">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="deducteecode" HeaderText="Party Code">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="name" HeaderText="Deductee Name">
                                <HeaderStyle Width="11%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="deducteetypename" HeaderText="Deductee Type">
                                <HeaderStyle Width="8%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="pan" HeaderText="PAN">
                                <HeaderStyle Width="8%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="town" HeaderText="Town">
                                <HeaderStyle Width="8%" />
                            </telerik:GridBoundColumn>
                        </Columns>
                        <CommandItemTemplate>
                        </CommandItemTemplate>
                    </MasterTableView>
                    <PagerStyle AlwaysVisible="true" Mode="Slider" />
                    <ClientSettings>
                        <Selecting AllowRowSelect="True" />
                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                        <Resizing AllowColumnResize="True" />
                    </ClientSettings>
                </telerik:RadGrid>
                <telerik:RadToolBar OnClientButtonClicking="onToolBarClientButtonClicking" ID="RadToolBar1"
                    runat="server" Skin="Vista" SkinID="GridToolbar" Width="100%" OnButtonClick="RadToolBar1_ButtonClick">
                    <CollapseAnimation Duration="200" Type="OutQuint" />
                    <Items>
                        <telerik:RadToolBarButton Permission="D" CommandName="D" ImageUrl="~/img/radimages/delete.gif"
                            Text="Delete" Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="V" CommandName="TC" ImageUrl="~/img/radimages/Icon.gif"
                            Text="Show Ledger" Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton CommandName="C" ImageUrl="~/img/radimages/Cancel.gif" Text="Close">
                        </telerik:RadToolBarButton>
                    </Items>
                </telerik:RadToolBar>
            </div>
            <asp:HiddenField ID="hdnDeducteeID" runat="server" />
            <asp:HiddenField ID="hdnTanRegID" runat="server" />
            <asp:Button ID="btnDelete" runat="server" Style="display: none" OnClick="btnDelete_Click" />
        </ContentTemplate>
    </asp:UpdatePanel>
    <style type="text/css">
        .filterButton
        {
            text-decoration: none;
            background-color: #c3d8f1;
            font-weight: bold;
            vertical-align: middle;
            background-image: -webkit-linear-gradient(top, #c3d8f1 , #c3d8f1 );
            border-radius: 4px;
            border-color: #B0D2D6;
            width: 100px;
        }
    </style>

    <script type="text/javascript">
        $(document).ready(function() {
        });

        function pageLoad() {
            BranchID = $find("<%= CboBranch.ClientID %>").get_selectedItem().get_value().split('-')[0];
            BindGrid("<%=dgData.ClientID %>", { "@BranchID": BranchID, "@PageCall": $.QS("PageCall"), "@FormNo": $.QS("FormNo") });
        }

        function onToolBarClientButtonClicking(sender, args) {
            var mode = args.get_item().get_commandName();
            if (mode == "C") {
                MDI.Close();
                args.set_cancel(true);
            }
            else
                return args.set_cancel(!OpenWindow(mode));
        }

        function OpenWindow(mode) {
            if (mode == "D") {
                if (confirm('Do you wish to delete this record?')) {
                    var dedid = RadGrid_MultipleDataKey("<%= dgData.ClientID %>", "deductee_pid");
                    if (dedid == null)
                        return false;

                    BindGrid("<%=dgData.ClientID %>", { "@BranchID": BranchID, "NoRefresh": true, "@PageCall": $.QS("PageCall"), "@deducteeIDS": dedid }, null, "DeleteAll");
                    RefreshGrid();
                }
                return false;
            }
            else if (mode == "TC") {
                var id = RadGrid_MultipleDataKey("<%= dgData.ClientID %>", "deductee_pid");
                if (id == null)
                    return false;


                var DeducteeName = RadGrid_GetSelectedCellText("<%= dgData.ClientID %>", 2);
                var DeducteeCode = RadGrid_GetSelectedCellText("<%= dgData.ClientID %>", 1);
                text = "Deductee Payment for deductee :- '" + DeducteeName + "'";
                newurl = "DeducteeCompute_Delete.aspx?PgKey=" + $.QS("PgKey") + "&PageCall=Computation&ParentPageCall=Computation&PageType=" + mode + "&DeducteeID=" + id + "&Per=" + permission;
                MDIMain.NewMDI(newurl, text).ShowDialog(MDI).MoveTo(1);

            }
            return false;
        }

        function RefreshGrid() {
            var BranchID = $find("<%= CboBranch.ClientID %>").get_selectedItem().get_value().split('-')[0];
            BindGrid("<%=dgData.ClientID %>", { "@BranchID": BranchID, "NoRefresh": true, "@PageCall": $.QS("PageCall") });
        }

        function CboBranch_OnClientSelectedIndexChanged(sender, args) {
            var BranchID = $find("<%= CboBranch.ClientID %>").get_selectedItem().get_value().split('-')[0];

            BindGrid("<%=dgData.ClientID %>", { "@BranchID": BranchID, "@PageCall": $.QS("PageCall") });

        }

        function CboSection_OnClientSelectedIndexChanged(sender, args) {
            var BranchID = $find("<%= CboBranch.ClientID %>").get_selectedItem().get_value().split('-')[0];

            BindGrid("<%=dgData.ClientID %>", { "@BranchID": BranchID, "@PageCall": $.QS("PageCall") });

        }


        function Items_onClicking(sender, eventArgs) {
            var id = RadGrid_MultipleDataKey("<%= dgData.ClientID %>", "deductee_pid");
            if (id == null) {
                alert("No record selected.");
                eventArgs.set_cancel(true);
            }
            $("#<%= hdnDeducteeID.ClientID %>").val(id);
            if (eventArgs.get_item().get_value() == "Date") {
                eventArgs.set_cancel(true);
            }
            if (eventArgs.get_item().get_value() == "Payment Annexure") {
                eventArgs.set_cancel(true);
            }
            else if (eventArgs.get_item().get_value() == "Month") {
                eventArgs.set_cancel(true);
            }
            else if (eventArgs.get_item().get_value() == "Quarterly") {
                eventArgs.set_cancel(true);
            }
        }

        function Dates_Closing(sender, eventArgs) {
            if (DateFilterVisible && (eventArgs.get_item().get_value() == "Date" || eventArgs.get_item().get_value() == "Filter"))
                eventArgs.set_cancel(true);
        }

        var DateFilterVisible = false;

        function Dates_Opening(sender, eventArgs) {
            if (eventArgs.get_item().get_value() == "Date") {
            }
            else
                DateFilterVisible = false;
        }

        function Calender_Opening(sender, eventArgs) {
            DateFilterVisible = true;
        }

        function OpenPrint(RepName, key, QueryClass) {
            var newurl = "print.aspx?RepName=" + RepName + "&RepKey=" + key + "&QueryClass=" + QueryClass + "&FromSP=1";
            MDIMain.OpenPrint(newurl);
            return false;
        }



        function btnFilterClick(sender, eventArgs) {
            var id = RadGrid_MultipleDataKey("<%= dgData.ClientID %>", "deductee_pid");
            if (id == null) {
                alert("No record selected.");
                return false;
            }
            $("#<%= hdnDeducteeID.ClientID %>").val(id);
        }

        function showDeductees(ctl) {

            return;
        }
    </script>

</asp:Content>
