﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="DeducteeComputation_View.aspx.cs" Inherits="EasyTDS.View.DeducteeComputation_View" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "430"
        window.wd = "750"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>
<script>
    var permission;
</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div >
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblBranch" runat="server" Text="Branch"></asp:Label>
                            <telerik:RadComboBox ID="CboBranch" runat="server" OnClientSelectedIndexChanged="CboBranch_OnClientSelectedIndexChanged">
                            </telerik:RadComboBox>
                        </td>
                        <td>
                            <asp:CheckBox ID="chkShowDeductee" runat="server" Text="Show only those deductees where certificate is not issued"
                                onclick="return showDeductees()" Visible="false" />
                        </td>
                        <td style="display:none">
                            <asp:Label ID="Label1" runat="server" Text="Select Section"></asp:Label>
                            <telerik:RadComboBox ID="cboSection" Width="350px" runat="server" >
                            </telerik:RadComboBox>
                        </td>
                    </tr>
                </table>
            </div>
            <div class="RadGridCtr" style="padding-top:3px">
                <telerik:RadGrid ID="dgData" SkinID="ClientPaging" EnableViewState="false" runat="server"
                    AllowPaging="true" AllowSorting="True" AllowFilteringByColumn="true" GridLines="None"
                    Height="85%" Width="100%" PageSize="25">
                    <ItemStyle Wrap="false" />
                    <MasterTableView AllowMultiColumnSorting="true" ClientDataKeyNames="deductee_pid,tanregistration_fid"
                        CommandItemDisplay="Bottom" TableLayout="Fixed">
                        <Columns>
                            <telerik:GridBoundColumn DataField="branchname" HeaderText="Branch">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="deducteecode" HeaderText="Party Code">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="name" HeaderText="Deductee Name">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="deducteetypename" HeaderText="Deductee Type">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="pan" HeaderText="PAN">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="town" HeaderText="Town">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                        </Columns>
                        <CommandItemTemplate>
                        </CommandItemTemplate>
                    </MasterTableView>
                    <PagerStyle AlwaysVisible="true" Mode="Slider" />
                    <ClientSettings>
                        <Selecting AllowRowSelect="True" />
                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                        <Resizing AllowColumnResize="True" />
                    </ClientSettings>
                </telerik:RadGrid>
                <telerik:RadToolBar OnClientButtonClicking="onToolBarClientButtonClicking" ID="RadToolBar1"
                    runat="server" Skin="Vista" SkinID="GridToolbar" Width="100%" OnButtonClick="RadToolBar1_ButtonClick">
                    <CollapseAnimation Duration="200" Type="OutQuint" />
                    <Items>
                        <telerik:RadToolBarButton Permission="A" CommandName="A" ImageUrl="~/img/radimages/AddRecord.gif"
                            Text="Add" Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="E" CommandName="E" ImageUrl="~/img/radimages/Edit.gif" Text="Edit"
                            Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="V" CommandName="V" ImageUrl="~/img/radimages/Icon.gif" Text="View"
                            Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="D" CommandName="D" ImageUrl="~/img/radimages/delete.gif" Text="Delete"
                            Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="A" CommandName="T" ImageUrl="~/img/radimages/Icon.gif" Text="Add Transaction"
                            Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="V" CommandName="TC" ImageUrl="~/img/radimages/Icon.gif" Text="Show Ledger"
                            Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton  CommandName="IF" ImageUrl="~/img/radimages/Icon.gif" Text="Issue Form "
                            Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="V" CommandName="VC" ImageUrl="~/img/radimages/Icon.gif" Text="View Saved Certificates"
                            Visible="false">
                        </telerik:RadToolBarButton>
                          <telerik:RadToolBarButton CommandName="X" ImageUrl="~/img/radimages/Icon.gif" Text="Export To CSV">
                                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton CommandName="MF" Visible="false">
                            <ItemTemplate>
                                <telerik:RadMenu ID="rmFilter" runat="server" Flow="Vertical" OnItemClick="rmFilter_ItemClick"
                                    OnClientItemClicking="Items_onClicking" OnClientItemClosing="Dates_Closing" OnClientItemOpening="Dates_Opening">
                                    <Items>
                                        <telerik:RadMenuItem id="rmFilterItem" Text="Payment Annexure" runat="server" Value="Payment Annexure"
                                            Style="background-color: #D0DFF1">
                                            <Items>
                                                <telerik:RadMenuItem id="rmQuaterlyItem" Text="Quarterly" runat="server" Value="Quarterly">
                                                </telerik:RadMenuItem>
                                                <telerik:RadMenuItem id="rmMonthItem" Text="Month" runat="server" Value="Month">
                                                </telerik:RadMenuItem>
                                                <telerik:RadMenuItem id="rmBetween" runat="server" Text="Between Dates" Value="Date">
                                                    <Items>
                                                        <telerik:RadMenuItem id="rmSubItem" runat="server" Value="Date">
                                                            <ItemTemplate>
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <asp:Label ID="lblStart" Text="Start Date" runat="server"></asp:Label>
                                                                        </td>
                                                                        <td>
                                                                            <telerik:RadDatePicker ID="txtStartDate" runat="server" ClientEvents-OnPopupOpening="Calender_Opening"
                                                                                SkinID="CalNoDrag">
                                                                            </telerik:RadDatePicker>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <asp:Label ID="lblTo" Text="To Date" runat="server"></asp:Label>
                                                                        </td>
                                                                        <td>
                                                                            <telerik:RadDatePicker ID="txtEndDate" runat="server" ClientEvents-OnPopupOpening="Calender_Opening"
                                                                                SkinID="CalNoDrag">
                                                                            </telerik:RadDatePicker>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <asp:Button ID="btnFilter" runat="server" Text="Filter" OnClick="btnFilter_OnClick"
                                                                                OnClientClick="return btnFilterClick()" CssClass="filterButton" />
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </ItemTemplate>
                                                        </telerik:RadMenuItem>
                                                    </Items>
                                                </telerik:RadMenuItem>
                                            </Items>
                                        </telerik:RadMenuItem>
                                    </Items>
                                </telerik:RadMenu>
                            </ItemTemplate>
                        </telerik:RadToolBarButton>
                        <%--<telerik:RadToolBarButton CommandName="BP" ImageUrl="~/img/radimages/Icon.gif" Visible="false">
                        </telerik:RadToolBarButton>--%>
                        <telerik:RadToolBarButton CommandName="FG" ImageUrl="~/img/radimages/Icon.gif" Text="Issue 15G"
                            Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton CommandName="C" ImageUrl="~/img/radimages/Cancel.gif" Text="Close">
                        </telerik:RadToolBarButton>
                    </Items>
                </telerik:RadToolBar>
            </div>
            <asp:HiddenField ID="hdnDeducteeID" runat="server" />
            <asp:HiddenField ID="hdnTanRegID" runat="server" />
        </ContentTemplate>
    </asp:UpdatePanel>
    <style type="text/css">
        .filterButton
        {
            text-decoration: none;
            background-color: #c3d8f1;
            font-weight: bold;
            vertical-align: middle;
            background-image: -webkit-linear-gradient(top, #c3d8f1 , #c3d8f1 );
            border-radius: 4px;
            border-color: #B0D2D6;
            width: 100px;
        }
    </style>

    <script type="text/javascript">
        $(document).ready(function() {
        });

        function pageLoad() {
            BranchID = $find("<%= CboBranch.ClientID %>").get_selectedItem().get_value().split('-')[0];
            BindGrid("<%=dgData.ClientID %>", { "@BranchID": BranchID, "@PageCall": $.QS("PageCall"), "@FormNo": $.QS("FormNo") });
        }

        function onToolBarClientButtonClicking(sender, args) {
            var mode = args.get_item().get_commandName();
            if (mode == "C") {
                MDI.Close();
                args.set_cancel(true);
            }
            else
                return args.set_cancel(!OpenWindow(mode));
        }

        function OpenWindow(mode) {
            if (mode == "X") {
               var  bid = $find("<%= CboBranch.ClientID %>").get_selectedItem().get_value().split('-')[0];
               BindGrid("<%=dgData.ClientID %>", { "@BranchID": bid, "@PageCall": $.QS("PageCall"), "@FormNo": $.QS("FormNo"), "Type": "DeducteeList_CSV" }, null, "Export");
                return false;
            }
            var text = "";
            var BranchID = "";
            if (mode == "A")
                text = "Add Deductee"
            else if (mode == "E")
                text = "Edit Deductee";
            else if (mode == "D")
                text = "Delete";
            else if (mode == "TC")
                text = "Deductee Computation";
            else if (mode == "T")
                text = "Deductee Payment";
            else if (mode == "IF")
                text = " Issue Form " + $.QS("FormNo");
            else if (mode == "VC")
                text = "View Saved Certificate";
            else if (mode == "FG") {
                text = "Issue 15 G";
                var id = RadGrid_MultipleDataKey("<%= dgData.ClientID %>", "deductee_pid");
                if (id == null) {
                    alert('No Record Selected');
                    return false;
                }
                $("#<%= hdnDeducteeID.ClientID %>").val(id);
                return true;
            }
            else {
                mode = "V";
                text = "View Deductee";
            }
            var newurl = "";
            
            if (mode == "A") {
                BranchID = $find("<%= CboBranch.ClientID %>").get_selectedItem().get_value().split('-')[0];
                newurl = "Deductee_Add.aspx?PgKey=" + $.QS("PgKey") + "&PageType=A&BranchID=" + BranchID;
            }

            else if (mode == "E" || mode == "V" || mode == "D" || mode == "TC" || mode == "T" || mode == "IF" || mode == "VC") {
                var id = RadGrid_MultipleDataKey("<%= dgData.ClientID %>", "deductee_pid");
                if (id == null)
                    return false;
                if (mode == "D") {
                    if (confirm('Do you wish to delete this record?'))
                        RadGrid_Delete("<%= dgData.ClientID %>", { "@DeducteeID": id });
                    return false;
                }
                if (mode == "TC") {
                    var DeducteeName = RadGrid_GetSelectedCellText("<%= dgData.ClientID %>", 2);
                    var DeducteeCode = RadGrid_GetSelectedCellText("<%= dgData.ClientID %>", 1);
                    text = "Deductee Payment for deductee :- '" + DeducteeName + "'";
                    newurl = "DeducteeCompute_View.aspx?PgKey=" + $.QS("PgKey") + "&PageCall=Computation&ParentPageCall=Computation&PageType=" + mode + "&DeducteeID=" + id + "&Per=" + permission;
                }
                else if (mode == "T") {
                    var SectionID = $find("<%= cboSection.ClientID %>").get_selectedItem().get_value();

                    newurl = "DeducteePayment_Add.aspx?PgKey=" + $.QS("PgKey") + "&PageType=A&PageCall=Transaction&ParentPageCall=Transaction&DeducteeID=" + id + "&SID=" + SectionID + "&Per=" + permission; ;
                }
                else if (mode == "IF") {
                    var PageCall = $.QS("PageCall");
                    var DeducteeName = RadGrid_GetSelectedCellText("<%= dgData.ClientID %>", 1);
                    newurl = "Form16Certificate_View.aspx?PgKey=" + $.QS("PgKey") + "&PageType=A&DeducteeID=" + id + "&PageCall=" + PageCall + "&CertificateType=" + $.QS("FormNo") + "&IsView=0&DeducteeName=" + DeducteeName;
                }
                else if (mode == "VC") {
                    var PageCall = $.QS("PageCall");
                    newurl = "TDSSavedCertificate_View.aspx?PgKey=" + $.QS("PgKey") + "&PageType=A&DeducteeID=" + id + "&PageCall=" + PageCall + "&CertificateType=" + $.QS("FormNo") + "&IsView=1";
                }
                else {
                    BranchID = $find("<%= CboBranch.ClientID %>").get_selectedItem().get_value().split('-')[0];
                    newurl = "Deductee_Add.aspx?PgKey=" + $.QS("PgKey") + "&PageType=" + mode + "&ID=" + id + "&BranchID=" + BranchID;
                }
            }

            MDIMain.NewMDI(newurl, text).ShowDialog(MDI).MoveTo(1);
            return false;
        }

        function RefreshGrid() {
            var BranchID = $find("<%= CboBranch.ClientID %>").get_selectedItem().get_value().split('-')[0];
            //          if($.QS("PageCall") == "Certificate"){
            //            var checked= GetBoolData("<%= chkShowDeductee.ClientID %>");
            //                    if(checked)
            //                        BindGrid("<%=dgData.ClientID %>",{"@BranchID":BranchID,"@ShowDeductee":1,"@PageCall":$.QS("PageCall")});          
            //                    else
            //                        BindGrid("<%=dgData.ClientID %>",{"@BranchID":BranchID,"@ShowDeductee":0,"@PageCall":$.QS("PageCall")});          
            //                        }
            //             else{
            BindGrid("<%=dgData.ClientID %>", { "@BranchID": BranchID,"NoRefresh":true, "@PageCall": $.QS("PageCall") });
            // }     
        }

        function CboBranch_OnClientSelectedIndexChanged(sender, args) {
            var BranchID = $find("<%= CboBranch.ClientID %>").get_selectedItem().get_value().split('-')[0];
            //          if($.QS("PageCall") == "Certificate"){
            //            var checked= GetBoolData("<%= chkShowDeductee.ClientID %>");
            //                    if(checked)
            //                        BindGrid("<%=dgData.ClientID %>",{"@BranchID":BranchID,"@ShowDeductee":1,"@PageCall":$.QS("PageCall")});          
            //                    else
            //                        BindGrid("<%=dgData.ClientID %>",{"@BranchID":BranchID,"@ShowDeductee":0,"@PageCall":$.QS("PageCall")});          
            //                        }
            //             else{
            BindGrid("<%=dgData.ClientID %>", { "@BranchID": BranchID, "@PageCall": $.QS("PageCall") });
            //}          
        }

        function CboSection_OnClientSelectedIndexChanged(sender, args) {
            var BranchID = $find("<%= CboBranch.ClientID %>").get_selectedItem().get_value().split('-')[0];
            //           if($.QS("PageCall") == "Certificate"){
            //            var checked= GetBoolData("<%= chkShowDeductee.ClientID %>");
            //                    if(checked)
            //                        BindGrid("<%=dgData.ClientID %>",{"@BranchID":BranchID,"@ShowDeductee":1,"@PageCall":$.QS("PageCall")});          
            //                    else
            //                        BindGrid("<%=dgData.ClientID %>",{"@BranchID":BranchID,"@ShowDeductee":0,"@PageCall":$.QS("PageCall")});          
            //                        }
            //             else{
            BindGrid("<%=dgData.ClientID %>", { "@BranchID": BranchID, "@PageCall": $.QS("PageCall") });
            //}          
        }


        function Items_onClicking(sender, eventArgs) {
            var id = RadGrid_MultipleDataKey("<%= dgData.ClientID %>", "deductee_pid");
            if (id == null) {
                alert("No record selected.");
                eventArgs.set_cancel(true);
            }
            $("#<%= hdnDeducteeID.ClientID %>").val(id);
            if (eventArgs.get_item().get_value() == "Date") {
                eventArgs.set_cancel(true);
            }
            if (eventArgs.get_item().get_value() == "Payment Annexure") {
                eventArgs.set_cancel(true);
            }
            else if (eventArgs.get_item().get_value() == "Month") {
                eventArgs.set_cancel(true);
            }
            else if (eventArgs.get_item().get_value() == "Quarterly") {
                eventArgs.set_cancel(true);
            }
        }

        function Dates_Closing(sender, eventArgs) {
            if (DateFilterVisible && (eventArgs.get_item().get_value() == "Date" || eventArgs.get_item().get_value() == "Filter"))
                eventArgs.set_cancel(true);
        }

        var DateFilterVisible = false;

        function Dates_Opening(sender, eventArgs) {
            if (eventArgs.get_item().get_value() == "Date") {
            }
            else
                DateFilterVisible = false;
        }

        function Calender_Opening(sender, eventArgs) {
            DateFilterVisible = true;
        }

        function OpenPrint(RepName, key, QueryClass) {
            var newurl = "print.aspx?RepName=" + RepName + "&RepKey=" + key + "&QueryClass=" + QueryClass + "&FromSP=1";
            MDIMain.OpenPrint(newurl);
            return false;
        }



        function btnFilterClick(sender, eventArgs) {
            var id = RadGrid_MultipleDataKey("<%= dgData.ClientID %>", "deductee_pid");
            if (id == null) {
                alert("No record selected.");
                return false;
            }
            $("#<%= hdnDeducteeID.ClientID %>").val(id);
        }

        function showDeductees(ctl) {
            //        var BranchID=$find("<%= CboBranch.ClientID %>").get_value().split('-')[0];
            //                    if(BranchID == "All"){
            //                        alert("Please select branch.");
            //                        return false;
            //                    }
            //                     if($.QS("PageCall") == "Certificate"){
            //            var checked= GetBoolData("<%= chkShowDeductee.ClientID %>");
            //                    if(checked)
            //                        BindGrid("<%=dgData.ClientID %>",{"@BranchID":BranchID,"@ShowDeductee":1,"@PageCall":$.QS("PageCall")});          
            //                    else
            //                        BindGrid("<%=dgData.ClientID %>",{"@BranchID":BranchID,"@ShowDeductee":0,"@PageCall":$.QS("PageCall")});          
            //                        }
            //             else{
            //              BindGrid("<%=dgData.ClientID %>",{"@BranchID":BranchID,"@PageCall":$.QS("PageCall")});
            //             }          
            return;
        }
    </script>

</asp:Content>
