﻿function RadGrid_GetDataKey(grid) {
    var tbl = null;
    if (typeof grid == "string")
        tbl = $find(grid);
    else
        tbl = grid;
    if (tbl != null) {
        var master = tbl.get_masterTableView()
        var keys = master.get_clientDataKeyNames();
        var rows = master.get_selectedItems();
        var id = "";
        if (rows != null && rows.length > 0) {
            if (keys != null && keys.length > 0) {
                for (i = 0; i < rows.length; i++) {
                    id += rows[i].getDataKeyValue(keys[0]) + ",";
                }
                if (id.length > 0)
                    id = id.substring(0, id.lastIndexOf(','));

                return id;
            }
        }
        else
            alert("No record selected.")
    }
    return null;
}

function RadGrid_MultipleDataKey(grid, name) {
    var tbl = null;
    if (typeof grid == "string")
        tbl = $find(grid);
    else
        tbl = grid;
    if (tbl != null) {
        var master = tbl.get_masterTableView()
        var keys = master.get_clientDataKeyNames();
        var rows = master.get_selectedItems();
        var id = "";
        if (rows != null && rows.length > 0) {
            if (keys != null && keys.length > 0) {
                for (i = 0; i < rows.length; i++) {
                    id += rows[i].getDataKeyValue(name) + ",";
                }
                if (id.length > 0)
                    id = id.substring(0, id.lastIndexOf(','));

                return id;
            }
        }
        else
            alert("No record selected.")
    }
    return null;
}

function RadGrid_MultipleDataKey1(grid, object) {
    var tbl = null;
    if (typeof grid == "string")
        tbl = $find(grid);
    else
        tbl = grid;
    if (tbl != null) {
        var master = tbl.get_masterTableView()
        var keys = master.get_clientDataKeyNames();
        var rows = master.get_selectedItems();
        var id = "";
        if (rows != null && rows.length > 0) {
            if (keys != null && keys.length > 0) {
                for (i = 1; i < RadGrid_MultipleDataKey.arguments.length; i++) {
                    id += master.get_dataItems()[0].getDataKeyValue(RadGrid_MultipleDataKey.arguments[i]) + ",";
                }

                if (id.length > 0)
                    id = id.substring(0, id.lastIndexOf(','));
                return id;
            }
        }
        else
            alert("No record selected.")
    }
    return null;
}


function RadGrid_GetSelectedCellText(grid, index) {
    var tbl = null;
    if (typeof grid == "string")
        tbl = $find(grid);
    else
        tbl = grid;
    if (tbl != null) {
        var master = tbl.get_masterTableView()
        var keys = master.get_clientDataKeyNames();
        var rows = master.get_selectedItems();
        var txt = "";
        if (rows != null && rows.length > 0) {
            if (keys != null && keys.length > 0) {
                for (i = 0; i < rows.length; i++) {
                    txt += rows[i].get_element().cells[index].innerHTML + ",";
                }
                if (txt.length > 0)
                    txt = txt.substring(0, txt.lastIndexOf(','));

                return txt;
            }
        }
        else
            return null;
    }
    return null;
}

function RadGrid_GetSelectedCell(grid, index) {
    var tbl = null;
    if (typeof grid == "string")
        tbl = $find(grid);
    else
        tbl = grid;
    if (tbl != null) {
        var master = tbl.get_masterTableView()
        var keys = master.get_clientDataKeyNames();
        var rows = master.get_selectedItems();
        if (rows != null && rows.length > 0) {
            if (keys != null && keys.length > 0) {
                return rows[0].get_element().cells[index];
            }
        }
        else
            alert("No record selected.")
    }
    return null;
}
function GetRadDatePickerTextData(id) {
    var ctl = $find(id)
    if (ctl != null)
        return ctl.get_textBox().value;
    else
        return "";
}

function HasDataRadDatePicker(id) {
    var ctl = $find(id)
    if (ctl != null) {
        var val = ctl.get_textBox().value;
        if (val.length > 0) {
            return true;
        }
        else
            return false;
    }
    else
        return false;
}

function HasDataRadComboBox(id) {
    var ctl = $find(id)
    if (ctl != null) {
        var val = ctl._itemData.length;
        if (val > 0) {
            return true;
        }
        else
            return false;
    }
    else
        return false;
}

function GetTextData(id) {
    var ctl = $find(id)
    if (ctl != null)
        return ctl.get_value();
    else
        return "";
}

function GetComboTextData(id) {
    var ctl = $find(id)
    if (ctl != null)
        return ctl.get_text();
}
function GetComboAttribute(id, key) {
    var ctl = $find(id)
    if (ctl != null)
        return ctl.get_selectedItem().get_attributes().getAttribute(key);
}

function GetBoolData(id) {
    var ctl = $get(id)
    if (ctl != null)
        return ctl.checked;
    else
        return false;
}

function SetTextData(id, data) {
    var ctl = $find(id)
    if (ctl != null && data != null)
        ctl.set_value(data);
}




function SetTextData_ASPX(id, data) {
    var ctl = $("#" + id);
    ctl.val(data);
}


function SetComboData(id, data) {
    var ctl = $find(id)
    if (ctl != null && data != null) {
        var item = ctl.findItemByValue(data);
        if (item)
            item.select();
    }

}

function SetBoolData(id, data) {
    var ctl = $get(id)
    if (ctl != null && data != null)
        ctl.checked = data;
}



function RadGrid_GetSelectedCells(grid, index) {
    var tbl = $find(grid);
    var selectedRows = tbl.get_masterTableView().get_selectedItems();

    var vals = new Array();

    if (selectedRows == null)
        return false;
    for (i = 0; i < selectedRows.length; i++) {
        var rowElement = selectedRows[i].get_element();
        vals[i] = $(rowElement).node(index)[0];

    }

    return vals;

}
/*function RadGrid_GetMultipleDataKey(grid)
{
var tbl = $find(grid);
if(tbl != null)
{
var master=tbl.get_masterTableView()
var keys=master.get_clientDataKeyNames();
var rows=master.get_selectedItems();
var id = "";
if(rows != null && rows.length>0)
{
if(keys != null && keys.length>0)
{
for(i = 0; i < rows.length; i++)
{
id += rows[i].getDataKeyValue(keys[0])+",";
}
if(id.length > 0)
id = id.substring(0, id.lastIndexOf(','));
                
return id;
}
}
else
alert("No record selected.")
}   
return null;
}*/

function RadGrid_Refresh(grid) {
    var tbl = $find(grid);
    if (tbl != null) {
        var master = tbl.get_masterTableView()
        master.cancelAll();
    }
}

function RadDatePicker_Disable(id) {
    var datePicker = $find(id);
    datePicker.get_dateInput().disable();
    $(datePicker.get_popupButton()).setVisible(false);
}

function RadDatePicker_Enable(id) {
    var datePicker = $find(id);
    datePicker.get_dateInput().enable();
    $(datePicker.get_popupButton()).setVisible(true);
}


function Render_RadDatePicker(id, val) {
    var datePicker = $find(id);
    if (datePicker == null)
        return;
    datePicker.set_enabled(val);
    //    if (val) {
    //        datePicker.get_dateInput().enable();
    //        $(datePicker.get_popupButton()).setVisible(true);        
    //    }
    //    else {
    //        datePicker.get_dateInput().disable();
    //        $(datePicker.get_popupButton()).setVisible(false);        
    //    }
}

function Render_RadTextBox(id, val) {
    var radTextBox = $find(id);
    if (radTextBox == null)
        return;
    if (val == true)
        radTextBox.enable();
    else if (val == false)
        radTextBox.disable();
}

function Render_RadComboBox(id, val) {
    var radComboBox = $find(id);
    if (radComboBox == null)
        return;
    if (val == true)
        radComboBox.enable();
    else if (val == false)
        radComboBox.disable();
}

function Render_RadEditor(id, val) {
    var editor = $find(id);
    editor.enableEditing(val);
    editor.set_editable(val);
    if (val == false) editor.get_document().body.style.backgroundColor = "#E5E5E5";
    else editor.get_document().body.style.backgroundColor = "";
}
function ShowControl_Panel(id, val) {
    $("#" + id).setVisible(val);
}

function DisplayControl_Panel(id, val) {
    var panel = $get(id);
    if (val == true) {
        panel.style.display = 'block';
    }
    else if (val == false) {
        panel.style.display = 'none';
    }
}


function ShowControl_RadToolBar(id, val) {
    $("#" + id).setVisible(val);
}

function Render_CheckBox(id, val) {
    $("#" + id).setEnable(val);
}

function Copy_RadTextBox(fromId, toId, val) {
    var fromRadTextBox = $find(fromId);
    var toRadTextBox = $find(toId);
    if (val == true) {
        toRadTextBox.set_value(fromRadTextBox.get_value());
    }
    else if (val == false) {
        toRadTextBox.set_value("");
    }
}

function RadCalendar_Show(sender, eventArgs) {

    var calPopup = $(sender.get_popupContainer());
    var timePopup = null;
    if (typeof sender.get_timePopupContainer != "undefined")
        timePopup = $(sender.get_timePopupContainer());
    var frm = null;
    window.setTimeout(function() {
        if (sender.isPopupVisible()) {
            if ($.isEmpty(calPopup.parent()[0].x)) {
                calPopup.parent()[0].x = calPopup.parent().css("left"); calPopup.parent()[0].y = calPopup.parent().css("top");
            }
            else { calPopup.parent().setPosition(calPopup.parent()[0].x, calPopup.parent()[0].y); }
            frm = calPopup.parent().prev();
            frm.attr("id", calPopup.id + "_ifr");
            calPopup.find("#drgCP").remove();
            var drgCP = $("<div id='drgCP' style='background-color:#688caf;height:3px;width:" + calPopup.outerWidth() + "px;cursor:move;'></div");
            drgCP.insertBefore(calPopup.node(0));
            calPopup.parent().css({ "position": "absolute", "z-index": "29000" });
            drgCP.unbind("mousedown").bind("mousedown", function(event) { event.noBubble(); dragStart(event, calPopup.parent()[0], true, calPopup.parent().offset().left, calPopup.parent().offset().top, function() { calPopup.parent()[0].x = calPopup.parent().css("left"); calPopup.parent()[0].y = calPopup.parent().css("top"); }) });
            frm.setPosition(calPopup.parent().offset().left, calPopup.parent().offset().top).setSize(calPopup.parent().outerHeight(), calPopup.parent().outerWidth()).zIndex(4000);

        }
        else if (sender.isTimePopupVisible()) {
            if ($.isEmpty(timePopup.parent()[0].x)) {
                timePopup.parent()[0].x = timePopup.parent().css("left"); timePopup.parent()[0].y = timePopup.parent().css("top");
            }
            else { timePopup.parent().setPosition(timePopup.parent()[0].x, timePopup.parent()[0].y); }
            frm = timePopup.parent().prev(); frm.attr("id", timePopup.id + "_ifr");
            timePopup.find("#drgTP").remove();
            var drgTP = $("<div id='drgTP' style='background-color:#688caf;height:3px;width:" + timePopup.outerWidth() + "px;cursor:move;'></div");
            drgTP.insertBefore(timePopup.node(0));
            timePopup.parent().css({ "position": "absolute", "z-index": "29000" });
            drgTP.unbind("mousedown").bind("mousedown", function(event) { dragStart(event, timePopup.parent()[0], true, timePopup.parent().offset().left, timePopup.parent().offset().top, function() { timePopup.parent()[0].x = timePopup.parent().css("left"); timePopup.parent()[0].y = timePopup.parent().css("top"); }) });
            frm.setPosition(timePopup.parent().offset().left, timePopup.parent().offset().top).setSize(timePopup.parent().outerHeight(), timePopup.parent().outerWidth()).zIndex(4000);
        }
    }, 100);
}


function RadChk_ClientBlur(sender, args) {
    sender.Hide = true;
    sender.hideDropDown();

}
function RadChk_DropDownClosing(sender, eventArgs) {
    sender.set_text("")
    if (sender.Hide == true) {
        eventArgs.set_cancel(false);
        sender.Hide = false;
    }
    else
        eventArgs.set_cancel(true);

}
function RadChk_DropDownOpening(sender, eventArgs) {
    sender.Hide = false;
}


function GetComboSelectedData(id, attname) {
    var ctl = $find(id)
    if (ctl != null) {

        return ctl.get_selectedItem().get_attributes().getAttribute(attname);
    }
    else
        return "";
}

function GetRadDateDBFormat(id) {
    var d = $find(id).get_selectedDate();
    if (d == null)
        return "";
    else
        return d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate() + " " + d.getHours() + ":" + d.getMinutes() + ":" + d.getSeconds();
}

function GetRadDateFormat_dmy(id) {
    var d = $find(id).get_selectedDate();
    if (d != null) {
        var curr_date = d.getDate();
        var curr_month = d.getMonth() + 1; //months are zero based 
        var curr_year = d.getFullYear();
        return (curr_date + "-" + curr_month + "-" + curr_year);
    }
    return null;
}

var RadHdnColList = new Object();
var RadGridList = [];
function RadGridLoad(sender, eventArgs) {
    if (sender.MasterTableViewHeader && !$(sender.MasterTableViewHeader.HeaderRow).isVisible())
        return;
    var grid = $(sender.get_element());
    var gridId = grid.attr("id");
    var st = grid.find(".rgStatus");
    st.parent().append(st);
    st.css("border-width", "1px 0 0 1px")
    //SetGridColWidth(gridId);
    if (RadGridList.toString().indexOf(gridId) < 0)
        RadGridList[RadGridList.length] = gridId;

    RenderSelectAll(grid);

    if (RadHdnColList[gridId + "_Cols"] == null)
        RadHdnColList[gridId + "_Cols"] = "#";
    var lnk = $("<a class='RadCols_lbnPlus' href='javascript:void(0)' id='" + gridId + "_Lnk' onclick='ShowGridCols(this,\"" + gridId + "_Pnl\")' style='position:Absolute;' ></a>");
    var pos = grid.offset()
    lnk.html('(+)').setPosition(pos.left - 16, pos.top);

    var pnl = $("<div id='" + gridId + "_Pnl' class='RadCols_Pnl' style='display:none;position:absolute;left:-1000px'></div>");
    var htm = "<input type='button' onclick='RadGridExport(\"" + gridId + "\",\"Excel\")' class='rgExpXLS' title='Export To Excel'/><input type='button' class='rgExpDOC' onclick='RadGridExport(\"" + gridId + "\",\"Word\")' title='Export To Word'/><input type='button' class='rgExpPDF' onclick='RadGridExport(\"" + gridId + "\",\"Pdf\")' title='Export To PDF'/><input type='button' class='rgExpCSV' onclick='RadGridExport(\"" + gridId + "\",\"Csv\")' title='Export To CSV'/><span style='border-top:solid 1px black;display:block;margin:3px 0 3px 0'/>";
    for (var i = 0; i < sender.get_masterTableView().get_columns().length; i++) {
        var col = sender.get_masterTableView().get_columns()[i];
        if (RadHdnColList[gridId + "_Cols"].indexOf("#") >= 0 && !col.get_visible())
            RadHdnColList[gridId + "_Cols"] += "," + i + ",";
        if (RadHdnColList[gridId + "_Cols"].indexOf("," + i + ",") < 0)
            htm += "<input type='checkbox' onclick='SetColumnVisibility(this," + i + ",\"" + sender.get_id() + "\")' " + (col.get_visible() ? "checked" : "") + " /><span>" + $(col.get_element()).text() + "</span><br/>";
    }
    RadHdnColList[gridId + "_Cols"] = RadHdnColList[gridId + "_Cols"].replace("#", "");
    pnl.html(htm);
    pnl.append($("<span style='border-top:solid 1px black;display:block;margin:3px 0 3px 0'/>"));
    var pnlPage = $("<div id='pnlGridPageSize' style='height:25px;'><div>");
    pnl.append(pnlPage);
    var t = $("#" + sender.get_masterTableView()._data.changePageSizeTextBoxClientID).parent();
    var b = t.next();
    t.next().setClass("ActionButton").css("vertical-align", "middle");
    pnlPage.append(t.prev()); pnlPage.append(t); pnlPage.append(b);
    $("body").append(lnk);
    $("body").append(pnl);
    pnl.show();
    pnl[0].wd = pnl.outerWidth();
    pnl[0].ht = pnl.outerHeight();
    pnl[0].scr = false;
    window.setTimeout(
        function() {
            var pos = grid.offset()
            lnk.setPosition(pos.left - 16, pos.top);
            if (pnl.outerHeight() > grid.outerHeight()) {
                pnl[0].wd = pnl.outerWidth() + 20;
                pnl[0].ht = grid.outerHeight() - 10;
                pnl[0].scr = true;
            }
            pnl.setSize("10px", "10px")
        }, 350
    )
    pnl.css("overflow", "hidden").hide();
}
function ShowGridTools(gridID) {
    var grid = $("#" + gridID);
    var lbn = $("#" + gridID + "_Lnk");
    var pnl = $("#" + gridID + "_Pnl");
    lbn.show(grid.isVisible());
    var pos = grid.offset();
    lbn.setPosition(pos.left - 16, pos.top);
    pnl.css("overflow", "").css("height", "").css("width", "").show();
    pnl[0].wd = pnl.outerWidth();
    pnl[0].ht = pnl.outerHeight();
    pnl[0].scr = false;
    if (pnl.outerHeight() > grid.outerHeight()) {
        pnl[0].wd = pnl.outerWidth() + 20;
        pnl[0].ht = grid.outerHeight() - 10;
        pnl[0].scr = true;
    }
    pnl.css("overflow", "hidden").setSize("10px", "10px").hide();
    
}
function SetGridColWidth(id) {
    var thArr = $("#" + id + "_GridHeader").find("th");
    var colArr = $("#" + id + "_GridHeader").find("col");
    colArr.each(function(ind) { $(this).css("width", thArr.eq(ind).width() + "px") });
    $("#" + id + "_GridData").find("col").each(function(ind) { $(this).css("width", colArr.eq(ind).css("width")) });
}

function ShowGridCols(lnk, id) {
    var pnl = $("#" + id);
    if (pnl.isVisible()) {
        animate(id, null, null, 10, 10, 120, function(p) { $(p).hide(); });
    }
    else {
        pnl.show();
        animate(id, null, null, pnl[0].wd, pnl[0].ht, 120, function(p) {
            if (p.scr)
                $(p).css("overflow-y", "scroll");
        });
    }
    pnl.setPosition((lnk.offsetLeft + 20) + "px", lnk.style.top);
}
function SetColumnVisibility(chk, ind, id) {
    var grid = $find(id);
    if (chk.checked)
        grid.get_masterTableView().showColumn(ind);
    else
        grid.get_masterTableView().hideColumn(ind);
}




//$(window).bind("beforeunload",function(){RadHelper_BeginRequest();})

function RadHelper_BeginRequest() {
    for (var i = 0; i < RadGridList.length; i++) {
        if ($get(RadGridList[i] + "_Lnk"))
            document.body.removeChild($get(RadGridList[i] + "_Lnk"));
        if ($get(RadGridList[i] + "_Pnl"))
            document.body.removeChild($get(RadGridList[i] + "_Pnl"));
        if ($get(RadGridList[i] + "_ChkAllPnl")) {
            document.body.removeChild($get(RadGridList[i] + "_ChkAllPnl"));
            var grid = $("#" + RadGridList[i])
            var chk = grid.find(".rgCheck").node(0).node(0); //grid.find("#"+RadGridList[i]+"_ctl00_ctl02_ctl01_ClientSelectColumnSelectCheckBox");           
            if (!chk.checked())
                $("#" + RadGridList[i] + "_ChkAllHdn").val("0");
        }
    }
}


function RadGridExport(id, type) {
    id = id.replace(/_/g, "$")
    theForm.__EVENTTARGET.value = id;
    theForm.__EVENTARGUMENT.value = "FireCommand:" + id + "$ctl00;ExportTo" + type + ";";
    theForm.submit();
}

$(document).ready(function() {
    if (typeof Telerik == "undefined" || $.isEmpty(Telerik.Web.UI.RadGrid))
        return;
    Telerik.Web.UI.RadGrid.prototype.AllPagesSelected = function(val) {
        var hdn = $("#" + this.get_id() + "_ChkAllHdn");
        if ($.isEmpty(val)) {
            var chk = $(this.get_element()).find(".rgCheck").node(0).node(0)
            if (!chk.checked())
                hdn.val("0");
            return hdn.val() == "1";
        }
        else if (val == true)
            hdn.val("1");
    }
});

function RenderSelectAll(grid) {
    var gridTotal = grid.find("#spnGridTotalCount");
    if (!gridTotal.exists())
        return;
    var gridId = grid.attr("id");
    var chkAll = grid.find(".rgCheck").node(0).node(0)//grid.find("#"+gridId+"_ctl00_ctl02_ctl01_ClientSelectColumnSelectCheckBox");    
    var pnl = $("<div id='" + gridId + "_ChkAllPnl' class='RadChkAll_Pnl' style='display:none;position:absolute;left:-1000px'></div>");
    pnl.html("<a class='RadChkAll_Pnl selectAll' href='javascript:void(0)' >Click here</a><span></span><a href='javascript:void(0)' onclick='closePnl(this)' title='Hide' style='vertical-align:middle;margin-left:3px' class='tabCommand tabClose'></a>");
    if (!$("#" + gridId + "_ChkAllHdn").exists()) {
        var hdn = $("<input type='hidden' id='" + gridId + "_ChkAllHdn' name='" + gridId + "_ChkAllHdn' value='0'/>")
        grid.append(hdn);
    }
    $("body").append(pnl);
    chkAll.bind("click", function(e) { checkAllRecords(e, gridId, gridTotal.html()); })
    pnl.node(0).bind("click", function(e) { selectAllPages(e, gridId, gridTotal.html()); })
    //    $(document).bind("click",function(e){pnl.hide();})
}
function checkAllRecords(e, gridId, total) {
    e.stopPropagation();
    var chk = $(e.target);
    $find(gridId)._selectAllRows(gridId + "_ctl00", "", e);
    var pnl = $("#" + gridId + "_ChkAllPnl");
    if (chk.checked()) {
        var pos = chk.offset();
        pnl.node(0).html("Click here");
        pnl.node(1).html(" to select all " + total + " records across all pages");
        pnl.zIndex(3000).show().setPosition(pos.left + 19, pos.top);
    }
    else {
        pnl.hide();
        $(".chkSelect").setEnable(true, true);
    }
}
function closePnl(lnk) {
    $(lnk).parent().hide();
}

function selectAllPages(e, gridId, total) {
    e.stopPropagation();
    var lnk = $(e.target);
    var grid = $("#" + gridId);
    var chkAll = grid.find(".rgCheck").node(0).node(0);
    var ev = new Object();
    ev.target = chkAll[0];
    if (lnk.html().indexOf("Deselect") > -1) {
        $(".chkSelect").setEnable(true, true);
        chkAll.checked(false);
        $find(gridId)._selectAllRows(gridId + "_ctl00", "", ev);
        $("#" + gridId + "_ChkAllPnl").hide();
        $("#" + gridId + "_ChkAllHdn").val("0");
    }
    else {
        $(".chkSelect").setEnable(false, true);
        lnk.html("Deselect");
        lnk.next().html(" all " + total + " records");
        chkAll.checked(true);
        $find(gridId)._selectAllRows(gridId + "_ctl00", "", ev);
        $("#" + gridId + "_ChkAllHdn").val("1");
    }
}



function RowDropping(sender, args) {
    window.obj = args;
    var drgRow = $(args.get_draggedItems()[0].get_element());
    var tgtRow = $(args.get_destinationHtmlElement()); //alert(tgtRow.outerHTML())
    if (tgtRow.is("td"))
        tgtRow = tgtRow.parent();
    if (drgRow.attr("id") != tgtRow.attr("id")) {
        var p1 = drgRow.prevAll().length;
        var p2 = tgtRow.prevAll().length;
        if (tgtRow.is("tr")) {
            if (p1 < p2)
                tgtRow.after(drgRow);
            else
                tgtRow.before(drgRow);
        }
    }
    args.set_cancel(true);
    CreateReorderSaveButton(sender);
}
function CreateReorderSaveButton(grid) {
    var tbl = $(grid.get_masterTableView().get_element());
    if (tbl.data("LinkCreated") != true) {
        var lnk = $("<a href='javascript:void(0)' onclick='RadGridReOrder(\"" + grid.get_id() + "\")' style='position:absolute;height:18px;font-weight:bold;visibility:hidden' class='DockLbn'>Save Ordering</a>");
        tbl.parent().append(lnk);
        lnk.dock('TR', tbl.parent()).hide().setVisible(true).slideDown(250)
        tbl.data("LinkCreated", true);
    }
}
function RadGridReOrder(id) {
    var grid = $find(id);
    var values = grid._clientKeyValues
    var master = grid.get_masterTableView()
    var keys = master.get_clientDataKeyNames();
    var rows = $(master.get_element()).find("tr");
    var pids = "";
    for (i = 0; i < rows.length; i++) {
        var c = rows.eq(i).attr("id").split("__")[1];
        pids += values[c][keys[0]] + ",";
    }
    pids = pids.Trim(',');
    var hdn = $("<input type='hidden' id='" + id + "_Reorder' name='" + id + "_Reorder' />");
    $(grid.get_element()).append(hdn);
    hdn.val(pids);
    id = id.replace(/_/g, "$")
    theForm.__EVENTTARGET.value = id;
    theForm.__EVENTARGUMENT.value = "FireCommand:" + id + "$ctl00;RowDropped;0," + id + ",below," + id + "$ctl00"// "FireCommand:"+id+"$ctl00;ExportTo"+type+";";
    //prompt("",theForm.__EVENTARGUMENT.value)
    theForm.submit();
}

function RadGrid_Command(sender, args) {
    args.set_cancel(true);
    BindGrid(sender, null, args, "BindGrid", true);
}

function BindGrid(grid, info, args, command, noRefresh) {
    if (typeof grid == "string")
        grid = $find(grid);
    var prg = $(grid.get_element()).find(".rgStatus").node(0);
    var cmd = "BindGrid";
    if (typeof command != "undefined")
        cmd = command;
    var refresh = true;
    if (typeof noRefresh != "undefined")
        refresh = !noRefresh;
    if (info && info.NoRefresh)
        refresh = !info.NoRefresh;
    if (prg.isVisible() && cmd == "Delete") {
        alert("Please wait till grid is loaded.");
        return;
    }
    var masterTable = grid.get_masterTableView();
    var allowPaging = masterTable._data.AllowPaging
    var pageSize = masterTable.get_pageSize();
    var sortExpressions = masterTable.get_sortExpressions();
    var filterExpressions = masterTable.get_filterExpressions();
    var currentPageIndex = (refresh ? 0 : masterTable.get_currentPageIndex());
    var sortExpressionsAsSQL = sortExpressions.toString();
    var filterExpressionsAsSQL = filterExpressions.toString();
    var filterExpressionsAsList = filterExpressions.toList();
    var parameters = { "AllowPaging": allowPaging, "PageIndex": currentPageIndex, "MaxRows": (allowPaging ? pageSize : -1), "Sort": sortExpressionsAsSQL, "Filter": filterExpressionsAsSQL };
    if (!info) {
        info = $(grid.get_element()).data("Info");
    }

    if (typeof info != "undefined" && info != null) {
        $(grid.get_element()).data("Info", info);
        $.extend(parameters, info);
        if (!$.isEmpty(info["OnBind"]))
            grid.OnBind = info["OnBind"]
    }
    if (command == "Export") {
        MDI.StartLoader();
        Sys.Net.WebServiceProxy.invoke("Export.aspx", 'ExportToCSV', false, {
            args: parameters
        }, function(result) {
            MDI.StopLoader();
            window.open("Download.aspx?IsFile=1&FileName=" + result["filename"]);
        }, function(result) { MDI.StopLoader(); alert("An error occurred while exporting records. !") }, 0);
        
       // Sys.Net.WebServiceProxy.invoke("/View/Branch_View.aspx", "ExportToCSV", false, { args: parameters }, null, null, null, 0, true, "callback");
    }
    else {
        prg.setVisible(true);
        PageMethods.GridCommand(cmd, grid.get_id(), parameters, BindGridResult);
    }
    
}
var _radDeleteRows = null;
function RadGrid_Delete(grid, info) {
    if (typeof grid == "string")
        grid = $find(grid);
    var master = grid.get_masterTableView()
    _radDeleteRows = master.get_selectedItems();
    BindGrid(grid, info, null, "Delete");
}
function RadGrid_RowDataBound(sender, args) {
}

function BindGridResult(result) {
    var data = result["Data"];
    var grid = $find(result["GridID"]);
    if (!grid)
        return;
    $(grid.get_element()).find(".rgStatus").node(0).setVisible(false)
    var tableView = grid.get_masterTableView();
    if (result["Command"] == "BindGrid") {
        if (data) {
            tableView.set_dataSource(data);
            tableView.dataBind();
            tableView.set_virtualItemCount(result["TotalRecords"]);
        }
        if (result["Result"] == "Error")
            actMessage(result["Message"], result["Result"].toLowerCase(), 0);
    }
    else if (result["Command"] == "Delete") {
        actMessage(result["Message"], result["Result"].toLowerCase(), 0);
        if (result["Result"] == "Success" & _radDeleteRows != null) {
            for (var i = 0; i < _radDeleteRows.length; i++) {
                $(_radDeleteRows[i].get_element()).hide();
            }
            var c = tableView.get_virtualItemCount();
            c = c - _radDeleteRows.length; (c = c < 0 ? 0 : c);
            var s = $("#" + tableView.get_id() + "DSC");
            s.html(parseInt(s.html() / 1) - 1);
        }
        _radDeleteRows == null;
    }

    if (typeof grid.OnBind == "function")
        grid.OnBind(result);
}




function AddNewCombo_Load(sender, args) {
    var list = $(sender.get_dropDownElement());
    var addNew = $("<div class='DdlCmd'><a href='javascript:void(0)' class='add' onclick='_OpenAddNewWindow(\"" + sender.get_id() + "\")' >Add New Item</a></div>")
    addNew.insertBefore(list.node(0));
}

function _OpenAddNewWindow(id) {
    window.CurrentCombo = id
    OpenAddNewWindow(id);
}

function Refresh_AddNewCombo(name, pid, attr) {
    var _cbo = $find(window.CurrentCombo);
    var c = _cbo._uniqueId;
    if (c.indexOf("$") > -1)
        c = c.substring(c.lastIndexOf("$") + 1);

    var dep = _cbo.get_attributes().getAttribute("DependingCombo");
    var ids = (c + "," + ($.isEmpty(dep) ? "" : dep));
    ids = ids.split(',');
    var returnItem=null;
    for (var i = 0; i < ids.length; i++) {
        if ($.isEmpty(ids[i]))
            continue;
        var cbo = (i == 0 ? _cbo : $find(window.CurrentCombo.replace(c, ids[i])));
        if (cbo == null)
            return;
        var item = cbo.findItemByValue(pid);
        var found = true;
        if (item == null) {
            item = new Telerik.Web.UI.RadComboBoxItem();
            found = false;            
        }
        item.set_text(name);
        item.set_value(pid);        
        if (attr) {
            for (var p in attr) {
                item.get_attributes().setAttribute(p, attr[p]);
            }
        }
        cbo.trackChanges();
        if (!found)
            cbo.get_items().add(item);
        if (i == 0)
            item.select(true);
        cbo.commitChanges();
        if (item.get_selected())
            cbo.set_text(name);
        if (i == 0)
            returnItem = item;
        if (typeof ComboMaster_ItemAdded == "function"){
            cbo.trackChanges();
            ComboMaster_ItemAdded(cbo, item);
            if (i == 0)
                item.select(true);
            cbo.commitChanges();
         }
        var list = $(cbo.get_dropDownElement());
        list.find(".rcbScroll").css("height", "");
    }   
    return returnItem;
}
function Remove_AddNewCombo(pid) {

    var _cbo = $find(window.CurrentCombo);
    var c = _cbo._uniqueId;
    if (c.indexOf("$") > -1)
        c = c.substring(c.lastIndexOf("$") + 1);

    var dep = _cbo.get_attributes().getAttribute("DependingCombo");
    var ids = (c + "," + ($.isEmpty(dep) ? "" : dep));
    ids = ids.split(',');
    for (var i = 0; i < ids.length; i++) {
        if ($.isEmpty(ids[i]))
            continue;
        var cbo = (i == 0 ? _cbo : $find(window.CurrentCombo.replace(c, ids[i])));
        if (cbo == null)
            return;
        var item = cbo.findItemByValue(pid);
        if (item == null)
            return;
        cbo.trackChanges();
        cbo.get_items().remove(item);
        cbo.commitChanges();
    }
}


////SkinID="ComboMaster"
////Table = "tbl_bank"
////Columns = "Name=*bankname,Code=*#bankcode,company_fid"
////Pid = "bank_pid"
////UniqueConstraints = "company_fid=@company_fid"
////DeleteConstraints = "tbl_bankbranch[Branch]>bank_fid"
////company_fid = "1"//add hidden columns as atributes to combo
////Rights = "AED"
////ACL = "Encrypted Rights"
////ComboMaster_ItemAdded(cbo, item)//called after data is added in db and new combo item is created
////ComboMaster_InputLoad(input, item, col)//called for each column when item is edited and data is loaded in textboxes
////ComboMaster_ParamLoad(cbo, prm, col)//called for each column when parameters is being prepared for add/edit
function ComboMaster_Load(sender, args) {
    var list = $(sender.get_dropDownElement());
    list.find(".rcbScroll").css("overflow-y","auto").css("min-width",  $(sender.get_element()).outerWidth()+"px");
    var rights = sender.get_attributes().getAttribute("Rights");
    if (rights == undefined)//no rights attrib set
        rights = "AED";
    if (rights.indexOf("A") > -1 || rights.indexOf("E") > -1 || rights.indexOf("D") > -1) {
        var a = (rights.indexOf("A") > -1 ? "<a class='add' href='javascript:void(0)' onclick='showInput(this,\"" + sender.get_id() + "\")' >Add New</a>" : "");
        var e = (rights.indexOf("E") > -1 || rights.indexOf("D") > -1 ? "<a id='lnkEdit' class='edit' style='right:5px'  href='javascript:void(0)' onclick='toggleEdit(this)' >Edit</a>" : "");
        var addNew = $("<div class='DdlCmd'><div style='display:none' class='DdlInput'><div class='divInput'></div><a href='javascript:void(0)' onclick='cancelEdit(this)' class='edit'>Cancel</a><a class='ok' onclick='saveInput(this,\"" + sender.get_id() + "\")' href='javascript:void(0)'>Ok</a></div><div style='height:16px'>"+a+e+"</div></div>")
        list.prepend(addNew);        
        var divInput = addNew.find(".divInput");
        var col = sender.get_attributes().getAttribute("Columns").split(',');
        for (var i = 0; i < col.length; i++) {
            var c = col[i];
            if (c.indexOf("=") < 0)
                continue;
            var d = c.split('=')[0].Trim(); c = c.split('=')[1].replace("#", "").replace("*", "").Trim();
            if (c == "")
                continue;
            divInput.append("<input mandatory='" + (col[i].indexOf("*") > -1) + "' onfocus='if (this.value == \"Enter " + d + "\") {this.value = \"\";}' onblur='if (this.value == \"\") {this.value = \"Enter " + d + "\";}'  title='" + d + "' col='" + c + "' type='text'/>");
        }
    }
    if (rights.indexOf("E") > -1 || rights.indexOf("D") > -1)
        list.find("LI").each(function(index) { var val = sender.get_items().getItem(index).get_value(); if (val == "" || val == "0") return true; if (rights.indexOf("D") > -1) $(this).prepend("<a href='javascript:void(0)' onclick='deleteItem(this," + val + ",\"" + sender.get_id() + "\")' class='cboCommand cboClose'></a>"); if (rights.indexOf("E") > -1) $(this).prepend("<a href='javascript:void(0)' onclick='editItem(this," + val + ",\"" + sender.get_id() + "\")' class='cboCommand cboEdit'></a>"); });
}



function showInput(a) {
    a = $(a);
    a.parent().hide();
    var input = a.parent().parent().find(".DdlInput").show();
    input.data("Mode", "A");
    input.removeData("ID");
    input.find("input").each(function() { $(this).val("Enter " + $(this).attr("title")) })
}
function cancelEdit(a) {
    $(a).parent().hide().next().show();
}
function toggleEdit(a) {
    a = $(a);
    a.html((a.html() == "Edit" ? "Cancel" : "Edit"));
    a.parent().find(".add").setVisible((a.html() == "Edit" ? true : false));
    a.parent().parent().parent().find(".cboCommand").toggle();
}
function editItem(li, val, id) {
    li = $(li);
    var cbo = $find(id);
    var itm = cbo.findItemByValue(val);
    var input = li.parent().parent().parent().prev().find(".DdlInput");
    input.find("input").each(function(index) {
        if (typeof ComboMaster_InputLoad == "function") {
            var op = ComboMaster_InputLoad($(this), itm, $(this).attr("col"));
            if (op == true || op == undefined)
                return true;
        }
        if (index == 0)
            $(this).val(itm.get_text());
        else
            $(this).val(itm.get_attributes().getAttribute($(this).attr("col")));
        if ($(this).val() == "")
            $(this).val("Enter " + $(this).attr("title"));
    })
    input.show().next().hide();
    input.data("Mode", "E");
    input.data("ID", itm.get_value());

   

}
function saveInput(a, id) {
    a = $(a);
    var input = a.parent();
    var msg = "";
    input.find("input[mandatory='true']").each(function() { if ($(this).val().Trim() == "" || $(this).val().Trim() == "Enter " + $(this).attr("title")) msg += "Please enter " + $(this).attr("title") + ".\n"; })
    if (msg != "") {
        alert(msg);
        return;
    }
    var mode = input.data("Mode");
    var cbo = $find(id);
    var attr = cbo.get_attributes();
    var prm = {};
    prm["ID"] = cbo.get_id();
    prm["ACL"] = attr.getAttribute("ACL");
    prm["Command"] = (mode == "A" ? "Create" : "Update");
    prm["Table"] = attr.getAttribute("Table");
    prm["Pid"] = attr.getAttribute("Pid");
    prm["UniqueConstraints"] = attr.getAttribute("UniqueConstraints");
    prm["Columns"] = attr.getAttribute("Columns");
    if (mode == "E")
        prm["@" + prm["Pid"]] = input.data("ID");
    input.find("input").each(function() { var t = $(this); prm["@" + t.attr("col")] = t.val(); });
    var col = prm["Columns"].split(',');
    for (var i = 0; i < col.length; i++) {
        if (col[i].indexOf("=") < 0) {
            prm["@" + col[i].Trim()] = attr.getAttribute(col[i].Trim());
        }
        if (typeof ComboMaster_ParamLoad == "function") {
            var c = col[i].split('=')
            c = (c.length > 1 ? c[1] : c[0]);
            c = c.replace("#", "").replace("*", "").Trim();
            ComboMaster_ParamLoad(cbo,prm, c)
        }
    }
   
    $.ajax({
        type: "POST",
        url: "server.aspx/ComboMasterEntry",
        data: "{data:" + JSON.stringify(prm) + "}",
        contentType: "application/json; charset=utf-8",
        dataType: "json", async: true,
        success: function(response) { ComboCallback(response); }
    });
}
function deleteItem(a, val, id) {
    if (!confirm('Do you wish to delete this record?'))
        return;
    var cbo = $find(id);
    var attr = cbo.get_attributes();
    var prm = {};
    prm["ID"] = cbo.get_id();
    prm["ACL"] = attr.getAttribute("ACL");
    prm["Command"] = "Delete";
    prm["Table"] = attr.getAttribute("Table");
    prm["Pid"] = attr.getAttribute("Pid");
    prm["DeleteConstraints"] = attr.getAttribute("DeleteConstraints");
    prm["@" + prm["Pid"]] = val;
    $.ajax({
        type: "POST",
        url: "server.aspx/ComboMasterEntry",
        data: "{data:" + JSON.stringify(prm) + "}",
        contentType: "application/json; charset=utf-8",
        dataType: "json", async: true,
        success: function(response) { ComboCallback(response); }
    });
}

function ComboCallback(data) {
    data = data["d"];
    if (data["Message"] != "") {
        alert(data["Message"])
        return;
    }
    window.CurrentCombo = data["ID"]
    if (data["Command"] == "Delete")
        Remove_AddNewCombo(data["@" + data["Pid"]])
    else {
        var n = "";
        var attr = {};
        var col = data["Columns"].split(',');
        for (var i = 0; i < col.length; i++) {
            var c = col[i];
            if (c.indexOf("=") < 0)
                continue;
            var d = c.split('=')[0].Trim(); c = c.split('=')[1].replace("#", "").replace("*", "").Trim();
            if (c == "")
                continue;
            if (i == 0)
                n = data["@" + c];
            else
                attr[c] = data["@" + c]
        }
        var item = Refresh_AddNewCombo(n, data["@" + data["Pid"]], attr);
        $($find(data["ID"]).get_dropDownElement()).find(".DdlInput").hide().next().show()
        $(item.get_element()).prepend("<a href='javascript:void(0)' " + (data["Command"] == "Update" ? "style='display:block'" : "") + " onclick='editItem(this," + item.get_value() + ",\"" + data["ID"] + "\")' class='cboCommand cboEdit'></a><a href='javascript:void(0)' " + (data["Command"] == "Update" ? "style='display:block'" : "") + " onclick='deleteItem(this," + item.get_value() + ",\"" + data["ID"] + "\")' class='cboCommand cboClose'></a>")
        var _cbo = $find(window.CurrentCombo);
        _cbo.trackChanges();
        item.select(true);
        _cbo.commitChanges();
    }
}


