﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="AuditReport_Details.aspx.cs" Inherits="EasyTDS.View.AuditReport_Details" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">
        window.ht = "315"
        window.wd = "495"
        //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here
            //alert(MDI.id)
        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div class="RadGridCtr">
                <telerik:RadGrid AllowFilteringByColumn="true" ID="dgData" runat="server" AllowPaging="True"
                    AllowSorting="True" AutoGenerateColumns="False" GridLines="None" GroupingEnabled="False"
                    PageSize="10" Skin="Vista" Height="85%" Width="100%" OnNeedDataSource="dgData_NeedDataSource">
                    <PagerStyle Mode="NextPrevAndNumeric" PageButtonCount="5" PagerTextFormat="Change page: {4} &amp;nbsp;({0}/{1})&amp;nbsp;&amp;nbsp;Total records : {5}" />
                    <MasterTableView ClientDataKeyNames="audit_pid" CommandItemDisplay="Bottom" TableLayout="Fixed">
                        <RowIndicatorColumn Visible="false">
                            <HeaderStyle Width="20px" />
                        </RowIndicatorColumn>
                        <ExpandCollapseColumn>
                            <HeaderStyle Width="20px" />
                        </ExpandCollapseColumn>
                        <Columns>
                            <telerik:GridBoundColumn DataField="entitycode" HeaderText="Code" UniqueName="entitycode">
                                <HeaderStyle Width="16%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="entitydescription" HeaderText="Description" UniqueName="entitydescription">
                                <HeaderStyle Width="16%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="entityaction" HeaderText="Status" UniqueName="entityaction">
                                <HeaderStyle Width="16%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="actiondate" HeaderText="Modified&nbsp;Date" DataFormatString="{0:dd-MM-yyyy hh:mm:tt}"
                                UniqueName="actiondate">
                                <HeaderStyle Width="16%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="loginusername" HeaderText="User" UniqueName="loginusername">
                                <HeaderStyle Width="16%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="userrolename" HeaderText="User&nbsp;Role" UniqueName="userrolename">
                                <HeaderStyle Width="16%" />
                            </telerik:GridBoundColumn>
                        </Columns>
                        <CommandItemTemplate>
                        </CommandItemTemplate>
                    </MasterTableView>
                    <PagerStyle AlwaysVisible="true" Mode="Slider" />
                    <ClientSettings AllowDragToGroup="True" AllowGroupExpandCollapse="False" AllowKeyboardNavigation="True">
                        <Selecting AllowRowSelect="True" />
                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                        <Resizing AllowColumnResize="True" />
                    </ClientSettings>
                </telerik:RadGrid>
                <telerik:RadToolBar ID="RadToolBar1" runat="server" Skin="Vista" SkinID="GridToolbar"
                    Width="100%" OnClientButtonClicking="onToolBarClientButtonClicking">
                    <Items>
                        <telerik:RadToolBarButton CommandName="C" ImageUrl="~/img/radimages/Cancel.gif" Text="Close">
                        </telerik:RadToolBarButton>
                    </Items>
                </telerik:RadToolBar>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
    <!-- Ajax events -->

    <script type="text/javascript">

        var ajx = Sys.WebForms.PageRequestManager.getInstance();
        ajx.add_pageLoaded(function() {
            if (typeof MDI != "undefined") {
                //Add user code here
                //alert("load "+MDI.id );             
            }
        })

        ajx.add_endRequest(function() {
            if (typeof MDI != "undefined") {
                //Add user code here
                //alert("load "+MDI.id );             
            }
        })
    </script>

    <!--User Functions -->

    <script type="text/javascript">
        function onToolBarClientButtonClicking(sender, args) {
            var mode = args.get_item().get_commandName();
            if (mode == "C") {
                MDI.Close();
                args.set_cancel(true);
            }           
        }
      

    </script>

</asp:Content>
