﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="EmployeeTest_View.aspx.cs" Inherits="EasyTDS.View.EmployeeTest_View" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "400"
        window.wd = "800"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div>
        <telerik:RadGrid ID="dgData"  SkinID="ClientPaging" EnableViewState="false" runat="server"
            AllowPaging="true" AllowSorting="True" AllowFilteringByColumn="true" GridLines="None"
            Height="95%" Width="95%" PageSize="10"  AutoGenerateColumns="false" >
            <ItemStyle Wrap="false" />
            <MasterTableView AllowMultiColumnSorting="true" ClientDataKeyNames="employee_pid" CommandItemDisplay="Bottom"
                TableLayout="Fixed">
                <Columns>
                    <telerik:GridBoundColumn DataField="employeecode" HeaderText="employeecode" />
                    <telerik:GridBoundColumn DataField="fname" HeaderText="fname" />
                    <telerik:GridBoundColumn DataField="gender" HeaderText="gender" />
                    <telerik:GridBoundColumn DataField="dateofjoining" HeaderText="dateofjoining" />
                </Columns>
                <CommandItemTemplate>
                    <telerik:RadToolBar OnClientButtonClicking="onToolBarClientButtonClicking" ID="RadToolBar1"
                        runat="server" Skin="Vista" Width="100%">
                        <CollapseAnimation Duration="200" Type="OutQuint" />
                        <Items>
                            <telerik:RadToolBarButton CommandName="A" ImageUrl="~/img/radimages/AddRecord.gif"
                                Text="Add">
                            </telerik:RadToolBarButton>
                            <telerik:RadToolBarButton CommandName="E" ImageUrl="~/img/radimages/Edit.gif" Text="Edit">
                            </telerik:RadToolBarButton>
                            <telerik:RadToolBarButton CommandName="V" Enabled='<%# dgData.Items.Count > 0 %>'
                                ImageUrl="~/img/radimages/Icon.gif" Text="View">
                            </telerik:RadToolBarButton>
                            <telerik:RadToolBarButton CommandName="D" Enabled='<%# dgData.Items.Count > 0 %>'
                                ImageUrl="~/img/radimages/delete.gif" Text="Delete">
                            </telerik:RadToolBarButton>
                            <telerik:RadToolBarButton CommandName="C" ImageUrl="~/img/radimages/Cancel.gif" Text="Close">
                            </telerik:RadToolBarButton>
                        </Items>
                    </telerik:RadToolBar>
                </CommandItemTemplate>
            </MasterTableView>
            <PagerStyle AlwaysVisible="true" Mode="Slider" />
            <ClientSettings >
              <Selecting AllowRowSelect="True" />
                 <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                            <Resizing AllowColumnResize="True" />
            </ClientSettings>
        </telerik:RadGrid>
    </div>

    <script type="text/javascript">
        $(document).ready(function() {
        });

        function pageLoad() {
            BindGrid("<%=dgData.ClientID %>");
        }
        
        function onToolBarClientButtonClicking(sender, args) {
            var mode = args.get_item().get_commandName();
            if (mode == "C") {
                MDI.Close();
                args.set_cancel(true);
            }
            else
                return args.set_cancel(!OpenWindow(mode));
        }

        function OpenWindow(mode) {
            var text = "";
            if (mode == "A")
                text = "Add Employee"
            else if (mode == "E")
                text = "Edit Employee";
            else if (mode == "D")
                text = "Delete";
            else {
                mode = "V";
                text = "View Employee";
            }
            var newurl = "";
            if (mode == "A") {
                newurl = "employee_Add.aspx?PageType=A";
            }
            else if (mode == "E" || mode == "V" || mode == "D") {
                var id = RadGrid_GetDataKey("<%= dgData.ClientID %>");
                if (id == null)
                    return false;
                if (mode == "D" && confirm('Do you wish to delete this record?')) {
                    BindGrid("<%= dgData.ClientID %>", "Delete", { "Action": "Delete", "@EmpID": id });
                    return false;
                }
                //else
                   // return false;
                newurl = "employee_Add.aspx?PageType=" + mode + "&ID=" + id;
            }

            MDIMain.NewMDI(newurl, text).ShowDialog(MDI).MoveTo(1);
            return false;
        }

        function RefreshGrid() {
            RadGrid_Refresh("<%= dgData.ClientID %>", { "NoRefresh": true });
        }   
    </script>

</asp:Content>
