﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Print.aspx.cs" Inherits="EasyTDS.View.Print" %>

<%@ Register Assembly="CrystalDecisions.Web, Version=10.5.3700.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"
    Namespace="CrystalDecisions.Web" TagPrefix="CR" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
<%# HelperLib.Web.WebResources.GetResource("../Scripts/System.js")%>
<%# HelperLib.Web.WebResources.GetResource("../Scripts/jquery.js")%>
<%# HelperLib.Web.WebResources.GetResource("../Scripts/jqHelper.js")%>
    <title>Untitled Page</title>

    <script type="text/javascript">

        window.ht = "300"
        window.wd = "400"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"
        //$(document).attr("title", "Sensys EasyTDS.Web Document Viewer")
        document.title = "Sensys EasyTDS.Web Report Viewer"


        function MDI_Load() {
            //Add user code here
            //alert(MDI.id)
        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
        function initFrame() {
        }
    </script>

    <style>
        .LbnNew
        {
            color: Green;
            font-family: Verdana;
            font-size: 7.5pt;
            font-weight: normal;
        }
        .LbnNew:hover
        {
            color: Red;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
     <asp:Label Visible="false" ID="lblError" SkinID="LblNoSkin" runat="server" ></asp:Label>
    <asp:Panel id="divCtr" SkinID="PnlNoSkin" runat="server" Style="width: 100%; height: 100%; overflow: hidden">
        <asp:Panel ID="pnlReportFormats" Style="padding-left: 20px; padding-bottom: 2px;
            border-bottom: solid 1px gray; background: #d6e6f4 url(img/rdHTitle.gif?1) repeat-x"
            runat="server">
            <asp:Label Style="font-size: 8pt; font-family: Verdana; background-color: transparent;"
                ID="Label2" runat="server" Text="Select Report Format: "></asp:Label>&nbsp;
            <telerik:RadComboBox ID="cboType" runat="server" OnClientSelectedIndexChanged="TypeChanged">
                <items>
                    <telerik:RadComboBoxItem Text="Report Viewer" Value="rptvw" />
                    <telerik:RadComboBoxItem Text="HTML" Value="htm" />
                    <telerik:RadComboBoxItem Text="Adobe Pdf" Value="pdf" />
                    <telerik:RadComboBoxItem Text="MS-Word" Value="doc" />
                    <telerik:RadComboBoxItem Text="MS-Excel" Value="xls" />
                </items>
            </telerik:RadComboBox>
            <asp:Button Style="vertical-align: middle; font-family: Verdana; font-size: 7.5p;
                height: 22px; cursor: hand;" ID="btnExp" runat="server" OnClick="btnExp_Click"
                Text="Open" Width="55px" />
            <a id="lbnNew" href="about:blank" target="_new" style="display: none" class="LbnNew">
                Open in new window</a>
        </asp:Panel>
        <asp:Panel ID="pnlReportFrame" Width="100%" Height="100%" SkinID="PnlNoSkin" Style="padding: 0px;
            margin: 0px; overflow: hidden" runat="server">
            <input id="Hidden1" runat="server" style="width: 54px" type="hidden" />
            <iframe id="iWinSub" onload="initFrame()" unselectable="off" contenteditable="true"
                style="height: 100%; width: 100%; margin: 0px; padding: 0px" frameborder="0">
            </iframe>
            <asp:HiddenField ID="hdnFile" runat="server" />
        </asp:Panel>
        <asp:Panel ID="pnlReportViewer" Width="100%" Height="100%" Style="position: relative;
            padding: 0px; margin: 0px; overflow-y: auto" SkinID="PnlNoSkin" runat="server">
            <CR:CrystalReportViewer  ID="cpvReport" runat="server" Width="100%"
                Height="100%" AutoDataBind="true" SeparatePages="true" HasCrystalLogo="False" OnSearch="cpvReport_Search" 
                EnableDrillDown="false" HasToggleGroupTreeButton="False" HasViewList="False" OnViewZoom="cpvReport_ViewZoom" 
                DisplayGroupTree="False" OnNavigate="cpvReport_Navigate" ToolbarImagesFolderUrl="img/Crystal" />
        </asp:Panel>
     </asp:Panel>

    <script type="text/javascript">
        
        $(window).load(function(){window.moveTo(0, 0);window.resizeTo(screen.width + 3, screen.height - 24);});
        
        $(window).resize(resizeControls);
        function resizeControls(){
               var h = $(document.documentElement).outerHeight();
               $("#<%=pnlReportFrame.ClientID%>").css("height",h-$("#<%=pnlReportFormats.ClientID%>").outerHeight())
               $("#<%=pnlReportViewer.ClientID%>").css("height",h-$("#<%=pnlReportFormats.ClientID%>").outerHeight())
        }        
        
        $(document).ready(PrintReport);
        function PrintReport() {
            if ($("#<%=pnlReportFrame.ClientID%>").length>0) {
                var hdn = $("#<%=hdnFile.ClientID%>");
                if (hdn.val() != "")
                    $("#iWinSub").attr("src", "temp/" + hdn.val());
                hdn.val("");
                resizeControls();
            }
            if($("#<%=lblError.ClientID%>").exists()){
                document.documentElement.style.overflowY = "auto"
                document.body.style.overflowY = "auto"
            }
        }
        function initFrame() {
            if ($("#<%=pnlReportFrame.ClientID%>").length>0) 
                $($("#iWinSub")[0].contentWindow.document).attr("title","");
        }


        function pageLoad() {
            TypeChanged($find('<%=cboType.ClientID %>'));            
            //$("#Box1").parent().css("width",($("#Box1").outerWidth()+120)+"px");
        }
        
        function TypeChanged(sender) {

        }        

    </script>

    </form>
</body>
</html>
