﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="TDSChallan_Add.aspx.cs" Inherits="EasyTDS.View.TDSChallan_Add" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "max"
        window.wd = "max"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here
            MDI.StopLoader();
        }
        function MDI_Close() {
            MDIMain.KillSession("ChallanStore");
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <hlp:ActionMessage ID="ActionMessage1" runat="server" />
    <table>
        <tr>
            <td colspan="3">
                <asp:Label ID="lblTan" runat="server" Text="<B> TDS Section:</B>" Style="display: none"></asp:Label>
                <asp:Label ID="lblBranch" runat="server" Text="Select Branch  "></asp:Label>
                <telerik:RadComboBox ID="cboBranch" runat="server" AutoPostBack="true" OnSelectedIndexChanged="cboBranch_selectedIndexChanged">
                </telerik:RadComboBox>
            </td>
            <td style="padding-left: 15px">
                <asp:Label ID="lblUnAdjustedAmt" runat="server" Text="<B>UnAdjusted Amount:</B>"
                    Visible="false" Style="color: #FF8500; font-style: italic; font-size: 13px"></asp:Label>
            </td>
        </tr>
        <tr>
            <td colspan="4">
                <asp:RadioButton ID="rdoCorporateDeductees" Text="Corporate Deductess" GroupName="IsCorporate"
                    runat="server" onclick=" return FilterDeductee()" />
                <asp:RadioButton ID="rdoNonCorporateDeductees" Text="Non Corporate Deductess" GroupName="IsCorporate"
                    runat="server" Checked="true" onclick=" return FilterDeductee()" />
                <asp:RadioButton ID="rdoAllDeductess" Text="All Deductess" GroupName="IsCorporate"
                    runat="server" onclick="return FilterDeductee()" />
                <asp:Button ID="btnShowOtherSection" runat="server" CssClass="otherButton" Text="Show Other Section Also"
                    OnClientClick="return showPopUp()" />
            </td>
        </tr>
        <tr>
            <td style="width: 180px">
                <asp:Label ID="Label1" runat="server" Text="Enter your challan amount here"></asp:Label>
            </td>
            <td style="width: 50px">
                <telerik:RadNumericTextBox ID="txtChallanAmount" runat="server">
                </telerik:RadNumericTextBox>
            </td>
            <td style="width: 350px">
                <asp:Button ID="btnDistribute" runat="server" Text="Distribute" OnClientClick="return StartLoader();"
                    OnClick="btnDistribute_Click" CssClass="filterButton" />
            </td>
            <td style="padding-left: 100px">
                <telerik:RadMenu ID="rmFilter" CssClass="ActionButton" runat="server" Flow="Vertical"
                    OnItemClick="rmFilter_ItemClick" OnClientItemClicking="Dates_onClicking" OnClientItemClosing="Dates_Closing"
                    OnClientItemOpening="Dates_Opening" OnItemDataBound="rmFilter_ItemDataBound">
                    <Items>
                        <telerik:RadMenuItem id="rmFilterItem" Text="Filter" runat="server" Value="Filter"
                            Height="18px">
                            <Items>
                                <telerik:RadMenuItem id="rmGroupItem" Text="Select Group" runat="server" Value="Group"
                                    OnDataBinding="rmGroupItem_DataBinding">
                                </telerik:RadMenuItem>
                                <telerik:RadMenuItem id="rmQuaterlyItem" Text="Quarterly" runat="server" Value="Quarterly">
                                </telerik:RadMenuItem>
                                <telerik:RadMenuItem id="rmMonthItem" Text="Month" runat="server" Value="Month">
                                </telerik:RadMenuItem>
                                <telerik:RadMenuItem id="rmBetween" runat="server" Text="Between Dates" Value="Date">
                                    <Items>
                                        <telerik:RadMenuItem id="rmSubItem" runat="server" Value="Date">
                                            <ItemTemplate>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lblStart" Text="Start Date" runat="server"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <telerik:RadDatePicker ID="txtStartDate" runat="server" ClientEvents-OnPopupOpening="Calender_Opening"
                                                                SkinID="CalNoDrag">
                                                            </telerik:RadDatePicker>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="lblTo" Text="To" runat="server"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <telerik:RadDatePicker ID="txtEndDate" runat="server" ClientEvents-OnPopupOpening="Calender_Opening"
                                                                SkinID="CalNoDrag">
                                                            </telerik:RadDatePicker>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Button ID="btnFilter" runat="server" Text="Filter" OnClientClick="StartLoader();"
                                                                OnClick="btnFilter_OnClick" CssClass="filterButton" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </ItemTemplate>
                                        </telerik:RadMenuItem>
                                    </Items>
                                </telerik:RadMenuItem>
                                <telerik:RadMenuItem id="rmResetFiterItem" Text="Reset Filter" runat="server">
                                </telerik:RadMenuItem>
                            </Items>
                        </telerik:RadMenuItem>
                    </Items>
                </telerik:RadMenu>
            </td>
        </tr>
    </table>
    <div style="height: 80%; width: 100%; overflow: auto">
        <div style="height: 98%; width: 100%; overflow: auto">
            <div class="RadGridCtr" style="height: 100%">
                <telerik:RadGrid ID="dgData" runat="server" AllowPaging="True" AllowSorting="True"
                    AutoGenerateColumns="False" GridLines="None" GroupingEnabled="False" Height="99%"
                    Width="100%" OnNeedDataSource="dgData_NeedDataSource" OnUpdateCommand="dgData_UpdateCommand"
                    ShowFooter="true" FooterStyle-Font-Bold="true" AllowMultiRowEdit="true" FooterStyle-Font-Size="Small"
                    OnItemDataBound="dgData_ItemDataBound" OnDataBound="dgData_DataBound" AllowFilteringByColumn="true">
                    <PagerStyle Mode="NextPrevAndNumeric" PageButtonCount="5" PagerTextFormat="Change page: {4} &amp;nbsp;({0}/{1})&amp;nbsp;&amp;nbsp;Total records : {5}" />
                    <MasterTableView AllowMultiColumnSorting="true" ClientDataKeyNames="tdstransaction_pid">
                        <RowIndicatorColumn Visible="false">
                            <HeaderStyle Width="20px" />
                        </RowIndicatorColumn>
                        <ExpandCollapseColumn>
                            <HeaderStyle Width="20px" />
                        </ExpandCollapseColumn>
                        <Columns>
                            <telerik:GridBoundColumn DataField="code" HeaderText="Section" UniqueName="code"
                                ReadOnly="true">
                                <HeaderStyle Width="60px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="name" HeaderText="Name&nbsp;of&nbsp;Deductee"
                                UniqueName="name">
                                <HeaderStyle Width="150px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="deducteepan" HeaderText="PAN&nbsp;of&nbsp;Deductee"
                                UniqueName="deducteepan" FooterText="Total">
                                <HeaderStyle Width="150px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="dateofdeduction" HeaderText="Date&nbsp;of Deduction"
                                UniqueName="dateofdeduction" DataFormatString="{0:dd-MM-yyyy}">
                                <HeaderStyle Width="100px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="AmountPaid" HeaderText="Gross Amount" UniqueName="AmountPaid"
                                ReadOnly="true" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right"
                                FooterStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="100px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="TDSDeducted" HeaderText="TDS Deducted" UniqueName="TDSDeducted"
                                ReadOnly="true" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right"
                                FooterStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="100px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="OtherPaidAmt" HeaderText="TDS Deposited Till Now"
                                UniqueName="TDSDepositing" ReadOnly="true" ItemStyle-HorizontalAlign="Right"
                                HeaderStyle-HorizontalAlign="Right" FooterStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="100px" />
                                <ItemStyle CssClass="ttest" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="YetToPay" HeaderText="TDS Yet To Be Deposited"
                                UniqueName="TDSYetToDep" ReadOnly="True" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right"
                                FooterStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="100px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="PaidAmt" HeaderText="TDS Depositing" UniqueName="TDSDeposited"
                                ReadOnly="false" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right"
                                FooterStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="100px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="incometax" HeaderText="IncomeTax Amount" UniqueName="TaxRate"
                                ReadOnly="True" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right"
                                FooterStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="100px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="educess" HeaderText="Education Cess Amount" UniqueName="EducationCessRate"
                                ReadOnly="True" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right"
                                FooterStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="100px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="surcharge" HeaderText="Surcharge Amount" UniqueName="SurchargeRate"
                                ReadOnly="True" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right"
                                FooterStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="100px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="OtherSurchargeDeducted" HeaderText="" UniqueName="OtherSurchargeDeducted"
                                Visible="false">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="OtherTaxDeduct" HeaderText="" UniqueName="OtherTaxDeduct"
                                Visible="false">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="OtherEduDeducted" HeaderText="" UniqueName="OtherEduDeducted"
                                Visible="false">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="SurchargeDeducted" HeaderText="" UniqueName="SurchargeDeducted"
                                Visible="false">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="TaxDeducted" HeaderText="" UniqueName="TaxDeducted"
                                Visible="false">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="EducationCessDeducted" HeaderText="" UniqueName="EducationCessDeducted"
                                Visible="false">
                            </telerik:GridBoundColumn>
                            <telerik:GridEditCommandColumn ButtonType="LinkButton" EditText="Edit">
                                <HeaderStyle Width="100px" />
                            </telerik:GridEditCommandColumn>
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowDragToGroup="True" AllowGroupExpandCollapse="False" AllowKeyboardNavigation="True">
                        <Selecting AllowRowSelect="True" />
                        <ClientEvents />
                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                        <Resizing AllowColumnResize="True" />
                    </ClientSettings>
                </telerik:RadGrid>
            </div>
        </div>
        <asp:Panel ID="Panel1" runat="server" GroupingText="Challan Details (Bifurcation of challan gross amount and other details)"
            Width="850">
            <table cellpadding="1" cellspacing="1" style="padding: 0px">
                <%--<tr>
						<td colspan="4">
							<asp:Label ID="lblTanRegistration" runat="server" Text="Select TAN"></asp:Label>
							<telerik:RadComboBox ID="cboTanRegistration" runat="server">
							</telerik:RadComboBox>
						</td>
						<td>
							&nbsp;
						</td>
						<td>
							&nbsp;
						</td>
						<td>
							&nbsp;
						</td>
					</tr>--%>
                <tr>
                    <td colspan="4">
                        <asp:RadioButton ID="rdoCash" runat="server" Text="Cash/Online" GroupName="Payments" />
                        <asp:RadioButton ID="rdoCheque" runat="server" Text="Cheque/DD" GroupName="Payments" />
                        <asp:RadioButton ID="rdoTransfer" runat="server" Text="Transfer Voucher (For Govt. Deducter)"
                            GroupName="Payments" />
                    </td>
                    <td>
                        &nbsp;
                    </td>
                    <td>
                        &nbsp;
                    </td>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblDateOfChq" runat="server" Text="Date of Cheque" CssClass="Cheque"></asp:Label>
                    </td>
                    <td style="padding-right: 20px">
                        <span class="Cheque">
                            <telerik:RadDatePicker ID="txtDateofCheque" runat="server">
                                <ClientEvents OnDateSelected="checkDate" />
                            </telerik:RadDatePicker>
                        </span>
                    </td>
                    <td>
                        <asp:Label ID="lblIncomeTax" runat="server" Text="Income Tax"></asp:Label>
                    </td>
                    <td>
                        <telerik:RadNumericTextBox ID="txtIncomeTax" runat="server">
                        </telerik:RadNumericTextBox>
                    </td>
                    <td>
                        <asp:Label ID="Label12" runat="server" Text="Challan No./Serial No. given by bank"
                            CssClass="OnlineCheque"></asp:Label>
                    </td>
                    <td>
                        <span class="OnlineCheque">
                            <%--<telerik:RadNumericTextBox ID="txtChallanSerial" runat="server" Width="100px" ClientEvents-OnBlur="validate">
									</telerik:RadNumericTextBox>--%>
                            <telerik:RadTextBox ID="txtChallanSerial" runat="server" Width="100px" ClientEvents-OnBlur="validate">
                            </telerik:RadTextBox>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblDateOfDeposite" runat="server" Text="Date of Deposit"></asp:Label>
                    </td>
                    <td>
                        <telerik:RadDatePicker ID="txtDateofDeposit" runat="server">
                            <ClientEvents OnDateSelected="checkDate" />
                        </telerik:RadDatePicker>
                    </td>
                    <td>
                        <asp:Label ID="lblSurcharge" runat="server" Text="Surcharge"></asp:Label>
                    </td>
                    <td>
                        <telerik:RadNumericTextBox ID="txtSurcharge" runat="server">
                        </telerik:RadNumericTextBox>
                    </td>
                    <td>
                        <asp:Label ID="lblDDO" runat="server" Text="DDO Serial No." CssClass="transfer"></asp:Label>
                    </td>
                    <td>
                        <span class="transfer">
                            <telerik:RadTextBox ID="txtDDOSerialNo" runat="server">
                            </telerik:RadTextBox>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="LblChNo" runat="server" Text="Cheque No." CssClass="Cheque"></asp:Label>
                    </td>
                    <td>
                        <span class="Cheque">
                            <telerik:RadNumericTextBox ID="txtChequeNo" runat="server">
                            </telerik:RadNumericTextBox>
                        </span>
                    </td>
                    <td>
                        <asp:Label ID="lblEduCess" runat="server" Text="Edu. Cess"></asp:Label>
                    </td>
                    <td>
                        <telerik:RadNumericTextBox ID="txtEduCess" runat="server">
                        </telerik:RadNumericTextBox>
                    </td>
                    <td>
                        <asp:Label ID="lblBINNo" runat="server" Text="BIN Receipt No." CssClass="transfer"></asp:Label>
                    </td>
                    <td>
                        <span class="transfer">
                            <telerik:RadTextBox ID="txtBINRecNo" runat="server">
                            </telerik:RadTextBox>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblChallanType" runat="server" Text="Challan Type"></asp:Label>
                    </td>
                    <td>
                        <telerik:RadComboBox ID="cboChallanType" runat="server">
                            <Items>
                                <telerik:RadComboBoxItem Text="Corporate" Value="Corporate" />
                                <telerik:RadComboBoxItem Text="Non-Corporate" Value="Non-Corporate" Selected="true" />
                            </Items>
                        </telerik:RadComboBox>
                    </td>
                    <td>
                        <asp:Label ID="lblInterest" runat="server" Text="Interest"></asp:Label>
                    </td>
                    <td>
                        <telerik:RadNumericTextBox ID="txtInterest" runat="server">
                        </telerik:RadNumericTextBox>
                    </td>
                    <td colspan="2">
                        <asp:Button ID="btnTaxSplit" runat="server" OnClientClick="return showTaxPopUp()"
                            Text="Quartery allocation break up" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblDrawnOn" runat="server" Text="Drawn on" CssClass="NonOnlinetransfer"></asp:Label>
                    </td>
                    <td>
                        <span class="NonOnlinetransfer">
                            <nobr>
                                        <telerik:RadComboBox  ID="cboDrawnOn" runat="server" Width="200px">
                                        </telerik:RadComboBox>
                                    </nobr>
                        </span>
                    </td>
                    <td>
                        <asp:Label ID="lblOtherTax" runat="server" Text="Other Tax"></asp:Label>
                    </td>
                    <td>
                        <telerik:RadNumericTextBox ID="txtOtherTax" runat="server">
                        </telerik:RadNumericTextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lnlMinorHead" runat="server" Text="Minor Head Challan"></asp:Label>
                    </td>
                    <td>
                        <telerik:RadComboBox ID="rcbMinorHead" runat="server" Width="200px">
                        </telerik:RadComboBox>
                    </td>
                    <td>
                        <asp:Label ID="lblFee" runat="server" Text="Fee (234E)"></asp:Label>
                    </td>
                    <td>
                        <telerik:RadNumericTextBox ID="txtFees" runat="server">
                        </telerik:RadNumericTextBox>
                    </td>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEmployerBank" runat="server" Text="Bank where Depositing" CssClass="Nontransfer"></asp:Label>
                    </td>
                    <td>
                        <span class="Nontransfer">
                            <telerik:RadComboBox ID="cboBankDepositing" runat="server" Width="200px">
                            </telerik:RadComboBox>
                        </span>
                    </td>
                    <td>
                        <asp:Label ID="lblGrossAmt" runat="server" Text="Gross Amount"></asp:Label>
                    </td>
                    <td>
                        <telerik:RadNumericTextBox ID="txtGrossAmount" runat="server">
                        </telerik:RadNumericTextBox>
                    </td>
                    <td>
                        &nbsp;
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </div>
    <asp:Panel ID="pnlButton" runat="server" Style="margin-top: 2px">
        <hlp:IconButton ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" Text="OK"
            OnClientClick="return ShowMsg();" Width="80px" SkinID="Submit" />
        <hlp:IconButton ID="btnCancel" OnClientClick="MDI.Close();return false;" runat="server"
            SkinID="Cancel" Text="Cancel" Width="80px" />
        <asp:Button ID="Button1" runat="server" Text="Button" Style="display: none" OnClick="Button1_Click" />
    </asp:Panel>
    <div id="divPopup" style="padding: 15px;
    background-color: white;display:none;
    position: absolute;
    height: 55%;
    width: 66%;
    border: 3px solid activeborder;
    top: 15%;
    left: 10%;
    z-index: 3500;
    border-radius: 10px;">
        <div style="height: 94%;
    overflow: auto;
    color: #4d4bf1;
    font-size: 14px;
    font-family: arial; ">
            <asp:CheckBoxList ID="chkSection" runat="server">
            </asp:CheckBoxList>
        </div>
        <div style="float:right">
        <asp:Button ID="Button2" runat="server" Text="OK" CssClass="ActionButton BlueButton"
            OnClientClick="hidePopUp1();return true;" OnClick="Button1_Click"   />
        <asp:Button ID="btnClose" runat="server" Text="Cancel" CssClass="ActionButton RedButton"
            OnClientClick="return hidePopUp()" />
            </div>
    </div>
    <div id="divInterestTax" style="padding: 10px; background-color: #D7E4F1; position: absolute;
        display: none; height: 24%; width: 200px; border: 3px; border-style: solid; border-color: ActiveBorder;
        top: 46%; left: 65%;">
        <table>
            <tr>
                <td>
                </td>
                <td>
                    Interest
                </td>
                <td>
                    Other Tax
                </td>
            </tr>
            <tr>
                <td>
                    Q1
                </td>
                <td>
                    <telerik:RadNumericTextBox ID="ntxtQ1Interest" runat="server">
                    </telerik:RadNumericTextBox>
                </td>
                <td>
                    <telerik:RadNumericTextBox ID="ntxtQ1Other" runat="server">
                    </telerik:RadNumericTextBox>
                </td>
            </tr>
            <tr>
                <td>
                    Q2
                </td>
                <td>
                    <telerik:RadNumericTextBox ID="ntxtQ2Interest" runat="server">
                    </telerik:RadNumericTextBox>
                </td>
                <td>
                    <telerik:RadNumericTextBox ID="ntxtQ2Other" runat="server">
                    </telerik:RadNumericTextBox>
                </td>
            </tr>
            <tr>
                <td>
                    Q3
                </td>
                <td>
                    <telerik:RadNumericTextBox ID="ntxtQ3Interest" runat="server">
                    </telerik:RadNumericTextBox>
                </td>
                <td>
                    <telerik:RadNumericTextBox ID="ntxtQ3Other" runat="server">
                    </telerik:RadNumericTextBox>
                </td>
            </tr>
            <tr>
                <td>
                    Q4
                </td>
                <td>
                    <telerik:RadNumericTextBox ID="ntxtQ4Interest" runat="server">
                    </telerik:RadNumericTextBox>
                </td>
                <td>
                    <telerik:RadNumericTextBox ID="ntxtQ4Other" runat="server">
                    </telerik:RadNumericTextBox>
                </td>
            </tr>
        </table>
        <asp:HiddenField ID="hdnRdo" runat="server" />
        <div>
            <asp:Button ID="btnCancelTax" runat="server" Text="Close" CssClass="ActionButton RedButton"
                OnClientClick="return hideTaxPopUp()" Style="margin-top: 1px; margin-left: 140px" />
            </td>
        </div>
    </div>
    <style type="text/css">
        .RadCalendarPopup
        {
            z-index: 500000 !important;
        }
        .RadMenu_Default .rmLink:hover, .RadMenu_Default .rmFocused, .rmLink .RadMenu_Default .rmSelected
        {
            background-color: #c3d8f1 !important;
            background-image: none !important;
            background-position: 0px 0px !important;
        }
        .RadMenu_Default .rmText
        {
            background-image: #c3d8f1 !important;
        }
        .filterButton
        {
            text-decoration: none;
            background-color: #c3d8f1;
            font-weight: bold;
            vertical-align: middle;
            background-image: -webkit-linear-gradient(top, #c3d8f1 , #c3d8f1 );
            border-radius: 4px;
            border-color: #B0D2D6;
            width: 100px;
        }
        .otherButton
        {
            text-decoration: none;
            background-color: #c3d8f1;
            font-weight: bold;
            vertical-align: middle;
            background-image: -webkit-linear-gradient(top, #c3d8f1 , #c3d8f1 );
            border-radius: 4px;
            border-color: #B0D2D6;
        }
        .btnDistribute
        {
            background-image: linear-gradient(bottom, rgb(140,162,219) 39%, rgb(151,175,199) 70%);
            background-image: -o-linear-gradient(bottom, rgb(140,162,219) 39%, rgb(151,175,199) 70%);
            background-image: -moz-linear-gradient(bottom, rgb(140,162,219) 39%, rgb(151,175,199) 70%);
            background-image: -webkit-linear-gradient(bottom, rgb(140,162,219) 39%, rgb(151,175,199) 70%);
            background-image: -ms-linear-gradient(bottom, rgb(140,162,219) 39%, rgb(151,175,199) 70%);
            background-image: -webkit-gradient( linear, left bottom, left top, color-stop(0.39, rgb(140,162,219)), color-stop(0.7, rgb(151,175,199)) );
        }
    </style>

    <script type="text/javascript">
        var rdoChange;

        var Year;
        $(document).ready(function() {
        });

        function pageLoad() {
            rdoChange = $("#<%= hdnRdo.ClientID %>").val();
            if (rdoChange == "Cheque") {
                ChequeDDMode();
                SetBoolData('<%= rdoCheque.ClientID %>', true);
            }
            else if (rdoChange == "Transfer") {
                SetBoolData('<%= rdoTransfer.ClientID %>', true)
                TransferMode();
            }
            else if (rdoChange == "Cash") {
                SetBoolData('<%= rdoCash.ClientID %>', true)
                OnlineCashMode();
            }
        }

        function ChequeDDMode() {
            $(".Cheque").show();
            $(".OnlineCheque").show();
            $(".transfer").hide();
            $(".NonOnlinetransfer").show();
            $(".Nontransfer").show();
        }

        function TransferMode() {
            $(".Cheque").hide();
            $(".OnlineCheque").hide();
            $(".transfer").show();
            $(".NonOnlinetransfer").hide();
            $(".Nontransfer").hide();
        }

        function OnlineCashMode() {
            $(".Cheque").hide();
            $(".OnlineCheque").show();
            $(".transfer").hide();
            $(".NonOnlinetransfer").hide();
            $(".Nontransfer").show();
        }

        function RefreshGrid() {
            $get("<%= Button1.ClientID %>").click();
        }

        function CalculateTotals() {
            var total = $find("<%= txtGrossAmount.ClientID %>");
            var it = $find("<%=txtIncomeTax.ClientID %>").get_value();
            var sur = $find("<%=txtSurcharge.ClientID %>").get_value();
            var edu = $find("<%=txtEduCess.ClientID %>").get_value();
            var inte = $find("<%=txtInterest.ClientID %>").get_value();
            var ot = $find("<%=txtOtherTax.ClientID %>").get_value();
            var fee = $find("<%=txtFees.ClientID %>").get_value();
            var totalvalue = 0;
            if (it != "")
                totalvalue = totalvalue + it;
            if (sur != "")
                totalvalue = totalvalue + sur;
            if (edu != "")
                totalvalue = totalvalue + edu;
            if (inte != "")
                totalvalue = totalvalue + inte;
            if (ot != "")
                totalvalue = totalvalue + ot;
            if (fee != "")
                totalvalue = totalvalue + fee;
            total.set_value(totalvalue);
        }

        function RefreshCbo(name, pid) {
            var cboDepositing = $find("<%=cboBankDepositing.ClientID %>");
            var comboItemDepositing = cboDepositing.findItemByValue(pid);
            if (comboItemDepositing == null) {
                comboItemDepositing = new Telerik.Web.UI.RadComboBoxItem();
                cboDepositing.get_items().add(comboItemDepositing);
            }
            comboItemDepositing.set_text(name);
            comboItemDepositing.set_value(pid);
            cboDepositing.trackChanges();
            cboDepositing.commitChanges();
            if (comboItemDepositing.get_selected())
                cboDepositing.set_text(name);
        }

        function RemoveCboItem(pid) {
            var cboDrawn = $find("<%=cboDrawnOn.ClientID %>");
            var cboDepositing = $find("<%=cboBankDepositing.ClientID %>");

            var comboItemDrawn = cboDrawn.findItemByValue(pid);
            var comboItemDepositing = cboDepositing.findItemByValue(pid);

            cboDrawn.trackChanges();
            cboDrawn.get_items().remove(comboItemDrawn);
            cboDrawn.commitChanges();

            cboDepositing.trackChanges();
            cboDepositing.get_items().remove(comboItemDepositing);
            cboDepositing.commitChanges();
        }

        function OpenAddNewWindow() {
            var newurl = "Bank_View.aspx?&PageCall=TDSChallan";
            var text = 'Employer Bank';
            MDIMain.NewMDI(newurl, text).ShowDialog(MDI).MoveTo(1);
            return false;
        }

        function Dates_onClicking(sender, eventArgs) {
            if (eventArgs.get_item().get_value() == "Date")
                eventArgs.set_cancel(true);
            else if (eventArgs.get_item().get_value() == "Month")
                eventArgs.set_cancel(true);
            else if (eventArgs.get_item().get_value() == "Group")
                eventArgs.set_cancel(true);
            else if (eventArgs.get_item().get_value() == "Quarterly")
                eventArgs.set_cancel(true);
            else if (eventArgs.get_item().get_value() == "Filter")
                eventArgs.set_cancel(true);
            else
                StartLoader();
        }

        function Dates_Closing(sender, eventArgs) {
            if (DateFilterVisible && (eventArgs.get_item().get_value() == "Date" || eventArgs.get_item().get_value() == "Filter"))
                eventArgs.set_cancel(true);
        }

        var DateFilterVisible = false;

        function Dates_Opening(sender, eventArgs) {
            if (eventArgs.get_item().get_value() == "Date") {
            }
            else
                DateFilterVisible = false;
        }

        function Calender_Opening(sender, eventArgs) {
            DateFilterVisible = true;
        }

        function FilterDeductee() {
            StartLoader();
            $get("<%= Button1.ClientID %>").click();
        }

        function ComboMaster_ItemAdded(cbo, item) {

            item.set_text(item.get_text() + ' (' + item.get_attributes().getAttribute("bankcode") + ')');

        }
        function ComboMaster_InputLoad(input, item, col) {
            if (col == "bankname") {
                var str = item.get_text().replace(' (' + item.get_attributes().getAttribute("bankcode") + ')', '');
                input.val(str);
            }
            else
                return false;

        }

        function showAmtMsg() {
            var totalAmount = $find("<%= txtGrossAmount.ClientID %>").get_value();
            var inte = $find("<%=txtInterest.ClientID %>").get_value();
            var ot = $find("<%=txtOtherTax.ClientID %>").get_value();
            var fee = $find("<%=txtFees.ClientID %>").get_value();

            var amtToCompare = totalAmount / 1 - (inte / 1 + ot / 1 + fee / 1);
            var partyValue = TDSDepositAmount;
            if (amtToCompare > partyValue) {
                var msg = "Challan is not totally adjusted against parties.\n";
                msg += "Total challan amount(Tax+Sur+Cess):- Rs." + amtToCompare + "\n";
                msg += "Total adjustment against parties:- Rs." + partyValue + "\n";
                msg += "Unadjusted Challan:- Rs." + Math.round((amtToCompare - partyValue)) + "\n";
                msg += "Do you wish to continue ?";

                return confirm(msg);
            }
            else {
                MDI.StartLoader();
            }
        }

        function ShowMsg() {
            var message = "";
            var dateOfDepsit = $find("<%= txtDateofDeposit.ClientID %>").get_selectedDate();
            var MinorHead = $find("<%= rcbMinorHead.ClientID %>").get_value();
            if (dateOfDepsit == null)
                message += " Please enter date of deposit.\n";
            if (MinorHead == "0")
                message += " Please select minor head.\n";
            var Cheque = $("#<%= rdoCheque.ClientID %>");
            var Cash = $("#<%= rdoCash.ClientID %>");
            if (Cheque.checked()) {
                var DateOfCheque = $find("<%= txtDateofCheque.ClientID %>").get_selectedDate();
                var ChequeNo = $find("<%= txtChequeNo.ClientID %>").get_value();
                var DrawnOnBank = $find("<%= cboDrawnOn.ClientID %>").get_value();
                if (DateOfCheque == null)
                    message += " Please enter date of cheque.\n";
                if (ChequeNo == "")
                    message += " Please enter cheque no.\n";
                if (DrawnOnBank == "")
                    message += " Please select drawn on bank.\n";
                var DepositingBank1 = $find("<%= cboBankDepositing.ClientID %>").get_value();
                if (DepositingBank1 == "")
                    message += " Please select depositing bank.\n";
            }
            else if (Cash.checked()) {
                var DepositingBank = $find("<%= cboBankDepositing.ClientID %>").get_value();
                if (DepositingBank == "")
                    message += " Please select depositing bank.\n";
            }
            if (message != "") {
                alert(message);
                return false;
            }
            else
                return showAmtMsg();

        }
        function validate() {
            var a = $find("<%= txtChallanSerial.ClientID %>")._text.length;
            if ((a < 5 || a > 5) && a != "")
                alert('Challan serial number should be of 5 digits.');
            return;
        }

        function checkDate(sender, e) {
            var startdate = e.get_newValue();
            if (startdate.contains("-")) {
                var aa = startdate.split("-");
                var bb = aa[2].split(" ");
            }

            if (bb[0] < Year)
                alert("Date should be greater than current financial year.");
            return;
        }

        function showPopUp() {
            $("#divPopup").ShowModal();
            return false;
        }

        function hidePopUp1() {
            StartLoader();
            $("#divPopup").HideModal();
            return false;
        }
        function hidePopUp() {
            $("#divPopup").HideModal();
            return false;
        }
        function showTaxPopUp() {
            $("#divInterestTax").show();
            return false;
        }

        function hideTaxPopUp() {
            $("#divInterestTax").hide();
            return false;
        }

        function StartLoader() {
            MDI.StartLoader();
            return true;
        }
        function selectAll(chk) {
            var chked = $(chk).checked();
            $("#ctl00_ContentPlaceHolder1_chkSection").find('input').checked(chked);
        }    
    </script>

</asp:Content>
