﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="TDSChallan_View.aspx.cs" Inherits="EasyTDS.View.TDSChallan_View" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "430"
        window.wd = "780"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div style="height: 30px">
                <asp:Label ID="lblSection" runat="server" Text="Select Section"></asp:Label>
                <telerik:RadComboBox ID="CboSection" runat="server" OnClientSelectedIndexChanged="CboSection_OnClientSelectedIndexChanged"
                    Width="580px">
                </telerik:RadComboBox>
            </div>
            <div class="RadGridCtr">
                <telerik:RadGrid ID="dgData" SkinID="ClientPaging" EnableViewState="false" runat="server"
                    AllowPaging="true" AllowSorting="True" AllowFilteringByColumn="true" GridLines="None"
                    Height="85%" Width="100%" PageSize="10">
                    <ItemStyle Wrap="false" />
                    <MasterTableView AllowMultiColumnSorting="true" ClientDataKeyNames="deposit_pid,UnAdjustedAmt"
                        CommandItemDisplay="Bottom" TableLayout="Fixed">
                        <Columns>
                            <telerik:GridBoundColumn DataField="dateofdeposit" HeaderText="Deposit Date" UniqueName="dateofdeposit"
                                DataFormatString="{0:dd-MM-yyyy}">
                                <HeaderStyle Width="75px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="dateofinstrument" HeaderText="Date of Payment"
                                UniqueName="dateofinstrument" DataFormatString="{0:dd-MM-yyyy}">
                                <HeaderStyle Width="75px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="drawnOnBank" HeaderText="Drawn On" UniqueName="bankbranchname">
                                <HeaderStyle Width="70px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="paidInBank" HeaderText="Paid In" UniqueName="bankname">
                                <HeaderStyle Width="65px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="incometax" HeaderText="IncomeTax" UniqueName="incometax"
                                ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="70px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="surcharge" HeaderText="Surcharge" UniqueName="surcharge"
                                ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="65px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="educess" HeaderText="Edu. Cess" UniqueName="educess"
                                ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="7%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="interest" HeaderText="Interest" UniqueName="interest"
                                ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="OtherTax" HeaderText="Other Tax" UniqueName="OtherTax"
                                ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="45px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="GrossAmount" HeaderText="Gross Amount" UniqueName="GrossAmount"
                                ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right">
                                <HeaderStyle Width="75px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="ChallanNo" HeaderText="Challan No" UniqueName="ChallanNo">
                                <HeaderStyle Width="50" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="UnAdjustedAmt" HeaderText="Unadjusted" UniqueName="UnAdjustedAmt"
                                ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right" ReadOnly="true">
                                <HeaderStyle Width="70px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="deposit_pid" HeaderText="DepositeID" Display="false">
                                <HeaderStyle Width="0%" />
                            </telerik:GridBoundColumn>
                              <telerik:GridBoundColumn DataField="sectionname" HeaderText="Section" UniqueName="sectionname">
                                <HeaderStyle Width="70px" />
                            </telerik:GridBoundColumn>
                        </Columns>
                        <CommandItemTemplate>
                        </CommandItemTemplate>
                    </MasterTableView>
                    <PagerStyle AlwaysVisible="true" Mode="Slider" />
                    <ClientSettings>
                        <Selecting AllowRowSelect="True" />
                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                        <Resizing AllowColumnResize="True" />
                    </ClientSettings>
                </telerik:RadGrid>
                <telerik:RadToolBar OnClientButtonClicking="onToolBarClientButtonClicking" ID="RadToolBar1" 
                    runat="server" Skin="Vista" SkinID="GridToolbar" Width="100%">
                    <CollapseAnimation Duration="200" Type="OutQuint" />
                    <Items>
                        <telerik:RadToolBarButton Permission="A" CommandName="A" ImageUrl="~/img/radimages/AddRecord.gif"
                            Text="Add" Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="E" CommandName="E" ImageUrl="~/img/radimages/Edit.gif"
                            Text="Edit" Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="V" CommandName="V" ImageUrl="~/img/radimages/Icon.gif"
                            Text="View" Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="D" CommandName="D" ImageUrl="~/img/radimages/delete.gif"
                            Text="Delete" Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton  CommandName="P" ImageUrl="~/img/radimages/print.png"
                            Text="Print" Visible="false">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton  CommandName="PD" ImageUrl="~/img/radimages/print.png"
                            Text="Print Challan Details" Visible="true">
                        </telerik:RadToolBarButton>
                          <telerik:RadToolBarButton CommandName="X" ImageUrl="~/img/radimages/Icon.gif" Text="Export To CSV">
                                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton CommandName="C" ImageUrl="~/img/radimages/Cancel.gif" Text="Close">
                        </telerik:RadToolBarButton>
                    </Items>
                </telerik:RadToolBar>
            </div>
            <asp:HiddenField ID="hdnDepositeID" runat="server" />
            <asp:HiddenField ID="hdnSectionID" runat="server" />
            <asp:HiddenField ID="hdnTanRegID" runat="server" />
            <asp:HiddenField ID="hdnMode" runat="server" />
            <asp:Button ID="btnPrint" runat="server" Style="display: none" OnClick="btnPrint_Click" />
        </ContentTemplate>
    </asp:UpdatePanel>

    <script type="text/javascript">
        $(document).ready(function() {
        });

        function pageLoad() {
        var sectionID=$find("<%= CboSection.ClientID %>").get_value();
        var tanID;
        BindGrid("<%=dgData.ClientID %>",{"@SectionID":sectionID});
        }
        
        function onToolBarClientButtonClicking(sender, args) {
            var mode = args.get_item().get_commandName();
            if (mode == "C") {
                MDI.Close();
                args.set_cancel(true);
            }
            else if(mode == "P"){ 
                var id =RadGrid_GetSelectedCellText("<%= dgData.ClientID %>", 12);
                if (id == null){
                    alert("No Record Selected");
                    return false;
                }
                $("#<%= hdnDepositeID.ClientID %>").val(id);
                $("#<%= hdnMode.ClientID %>").val(mode);
                $("#<%=btnPrint.ClientID %>").click();
                return true ;
            }
            else if(mode == "PD") { 
                var id =RadGrid_GetSelectedCellText("<%= dgData.ClientID %>", 12);
                if (id == null){
                    alert("No Record Selected");
                    return false;
                }
                $("#<%= hdnDepositeID.ClientID %>").val(id);
                $("#<%= hdnMode.ClientID %>").val(mode);
                $("#<%=btnPrint.ClientID %>").click();
                return true ;
            }
            else
                return args.set_cancel(!OpenWindow(mode));
        }

        function OpenWindow(mode) {
            if (mode == "X") {
                var sectionID = $find("<%= CboSection.ClientID %>").get_value();
                BindGrid("<%=dgData.ClientID %>", { "@SectionID": sectionID, "Type": "TDSChallanList_CSV" }, null, "Export");
                return false;
            }
            var text = "";
            if (mode == "A")
                text = "Add Challan"
            else if (mode == "E")
                text = "Edit Challan";
            else if (mode == "D")
                text = "Delete";
            else {
                mode = "V";
                text = "View Challan";
            }
             var sectionID=$find("<%= CboSection.ClientID %>").get_value();
             var sectiontext=$find("<%= CboSection.ClientID %>").get_text();
             var PageCall=$.QS("PageCall");
             
            var newurl = "";
            if (mode == "A") {
                if(sectionID == "All" && mode != "D") {
                    alert("Please select section ");
                    return false;
                }
               newurl = "TDSChallan_Add.aspx?PgKey="+$.QS("PgKey")+"&PageType=A&SectionID="+sectionID+"&SectionText="+sectiontext;
            }
            else if (mode == "E" || mode == "V" || mode == "D" ) {
                var id = RadGrid_MultipleDataKey("<%= dgData.ClientID %>","deposit_pid");
                var unAdjustedAmt = RadGrid_MultipleDataKey("<%= dgData.ClientID %>","UnAdjustedAmt");
                if (id == null)
                    return false;
                if (mode == "D") {
                        if (confirm('Do you wish to delete this record?'))
                        RadGrid_Delete("<%= dgData.ClientID %>", {"@DepositID": id });
                    return false;
                }
                newurl = "TDSChallan_Add.aspx?PgKey="+$.QS("PgKey")+"&PageType=" + mode + "&ID=" + id+"&SectionID="+sectionID+"&unAdjustedAmt="+unAdjustedAmt+"&SectionText="+sectiontext;
            }
            MDIMain.NewMDI(newurl, text).ShowDialog(MDI).MoveTo(1);
            return false;
        }

        function RefreshGrid() {
            var sectionID=$find("<%= CboSection.ClientID %>").get_value();
            BindGrid("<%=dgData.ClientID %>", { "@SectionID": sectionID, "NoRefresh": true });
        }  
        
        function CboSection_OnClientSelectedIndexChanged(sender,args){
            var sectionID=$find("<%= CboSection.ClientID %>").get_value();
        BindGrid("<%=dgData.ClientID %>",{"@SectionID":sectionID});
        }  
        
        function OpenPrint(RepName, key, QueryClass) {
            var newurl = "print.aspx?RepName=" + RepName + "&RepKey=" + key + "&QueryClass=" + QueryClass + "&FromSP=1";
            MDIMain.OpenPrint(newurl);
            return false;
        }
    </script>

</asp:Content>
