﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="TDSDetails_View.aspx.cs" Inherits="EasyTDS.View.TDSDetails_View" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "450"
        window.wd = "895"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <table>
                <tr>
                    <td>
                        <telerik:RadMenu ID="rmFilter" runat="server" Flow="Vertical" OnItemClick="rmFilter_ItemClick"
                            OnClientItemClicking="Dates_onClicking" OnClientItemClosing="Dates_Closing" OnClientItemOpening="Dates_Opening">
                            <Items>
                                <telerik:RadMenuItem id="rmFilterItem" Text="Filter" runat="server" Value="Filter">
                                    <Items>
                                        <telerik:RadMenuItem id="rmBetween" runat="server" Text="Between Dates" Value="Date">
                                            <Items>
                                                <telerik:RadMenuItem id="rmSubItem" runat="server" Value="Date">
                                                    <ItemTemplate>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblStart" Text="Start Date" runat="server"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <telerik:RadDatePicker ID="txtStartDate" runat="server" ClientEvents-OnPopupOpening="Calender_Opening"
                                                                        SkinID="CalNoDrag">
                                                                    </telerik:RadDatePicker>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="lblTo" Text="To" runat="server"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <telerik:RadDatePicker ID="txtEndDate" runat="server" ClientEvents-OnPopupOpening="Calender_Opening"
                                                                        SkinID="CalNoDrag">
                                                                    </telerik:RadDatePicker>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Button ID="btnFilter" runat="server" Text="Filter" OnClientClick="return DateFilter()"
                                                                        OnClick="btnFilter_OnClick" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </ItemTemplate>
                                                </telerik:RadMenuItem>
                                            </Items>
                                        </telerik:RadMenuItem>
                                        <telerik:RadMenuItem id="rmAllCategory" Text="All Categories" runat="server" Value="Category">
                                        </telerik:RadMenuItem>
                                        <telerik:RadMenuItem id="rmFinancialYear" Text="For Whole Financial Year" runat="server"
                                            Value="Year">
                                        </telerik:RadMenuItem>
                                    </Items>
                                </telerik:RadMenuItem>
                            </Items>
                        </telerik:RadMenu>
                    </td>
                </tr>
                
            </table>
            <div class="RadGridCtr" >
                                <telerik:RadGrid ID="dgData" SkinID="ClientPaging" EnableViewState="false" runat="server"
                                    AllowPaging="true" ShowFooter="true" AllowSorting="True" AllowFilteringByColumn="true"
                                    GridLines="None" Height="85%" Width="100%" PageSize="10">
                                    <ItemStyle Wrap="false" />
                                    <MasterTableView AllowMultiColumnSorting="true" ClientDataKeyNames="tdstransaction_pid"
                                        CommandItemDisplay="Bottom" TableLayout="Fixed">
                                        <Columns>
                                            <telerik:GridBoundColumn DataField="tdssectioncode" HeaderText="Section" UniqueName="tdssectioncode"
                                                FooterText="Total">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="name" HeaderText="Deductee&nbsp;of&nbsp;Name"
                                                UniqueName="name">
                                                <HeaderStyle Width="100px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="pan" HeaderText="PAN" UniqueName="pan">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="branchname" HeaderText="Branch&nbsp;Name"
                                                UniqueName="branchname">
                                                <HeaderStyle Width="100px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="branchcode" HeaderText="Branch&nbsp;Code"
                                                UniqueName="branchcode">
                                                <HeaderStyle Width="100px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="flat" HeaderText="Flat" UniqueName="flat">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="road" HeaderText="Road" UniqueName="road">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="area" HeaderText="Area" UniqueName="area">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="town" HeaderText="Town" UniqueName="town">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="state" HeaderText="State" UniqueName="state">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="pincode" HeaderText="Pincode" UniqueName="pincode">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="dateofdeduction" HeaderText="Date&nbsp;of Deduction"
                                                UniqueName="dateofdeduction" DataFormatString="{0:dd-MM-yyyy}" ReadOnly="true">
                                                <HeaderStyle Width="85px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="RefNo" HeaderText="Ref No." UniqueName="RefNo">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="InvoiceNo" HeaderText="Invoice No." UniqueName="InvoiceNo">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="GrossAmount" HeaderText="Gross Amount" UniqueName="GrossAmount"
                                                ReadOnly="true" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right"
                                                FooterStyle-HorizontalAlign="Right">
                                                <HeaderStyle Width="50px" CssClass="grossamt" />
                                                <FooterStyle CssClass="ftrgrossamt" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="TaxRate" HeaderText="Tax Rate" UniqueName="TaxRate">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="SurchargeRate" HeaderText="Surcharge Rate" UniqueName="SurchargeRate">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="EducationCessRate" HeaderText="EduCess Rate"
                                                UniqueName="EducationCessRate">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="TDSDeducted" HeaderText="TDS Deducted" UniqueName="TDSDeducted"
                                                ReadOnly="true" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right"
                                                FooterStyle-HorizontalAlign="Right">
                                                <HeaderStyle Width="50px" />
                                                <FooterStyle CssClass="ftrtdsdeducted" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="TDSDeposited" HeaderText="TDS Deposited" UniqueName="TDSDeposited"
                                                ReadOnly="true" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right"
                                                FooterStyle-HorizontalAlign="Right">
                                                <HeaderStyle Width="50px" />
                                                <FooterStyle CssClass="ftrtdsdeposited" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="dateofdeposit" HeaderText="Date&nbsp;of Deposit"
                                                UniqueName="dateofdeposit" DataFormatString="{0:dd-MM-yyyy}" ReadOnly="true">
                                                <HeaderStyle Width="85px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="bsrcode" HeaderText="BSRCode" UniqueName="bsrcode">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="ChallanNo" HeaderText="Challan No." UniqueName="ChallanNo">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="instrumentno" HeaderText="Cheque No." UniqueName="instrumentno">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="duedate" HeaderText="Due&nbsp;Date" UniqueName="duedate"
                                                DataFormatString="{0:dd-MM-yyyy}" ReadOnly="true">
                                                <HeaderStyle Width="85px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="latemonths" HeaderText="Late Months" UniqueName="latemonths">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="Repeate" HeaderText="" UniqueName="Repeate" Visible="false">
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="Interest" HeaderText="Interest" UniqueName="Interest">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="Tlatemonths" HeaderText="Late Months As Per Traces"
                                                UniqueName="Tlatemonths">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="TInterest" HeaderText="Interest As Per Traces"
                                                UniqueName="TInterest">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            
                                            <telerik:GridBoundColumn DataField="reasonfordeductioncode" HeaderText="Reason For Deduction Code" UniqueName="reasonfordeductioncode">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="reasonfordeductionname" HeaderText="Reason For Deduction Name"
                                                UniqueName="reasonfordeductionname">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="certificateNo" HeaderText="Certificate Number"
                                                UniqueName="certificateNo">
                                                <HeaderStyle Width="50px" />
                                            </telerik:GridBoundColumn>
                                            
                                        </Columns>
                                        <CommandItemTemplate>
                                        </CommandItemTemplate>
                                    </MasterTableView>
                                    <PagerStyle AlwaysVisible="true" Mode="Slider" />
                                    <ClientSettings>
                                        <Selecting AllowRowSelect="True" />
                                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                                        <Resizing AllowColumnResize="True" />
                                    </ClientSettings>
                                </telerik:RadGrid>
                                <telerik:RadToolBar OnClientButtonClicking="onToolBarClientButtonClicking" 
                                    ID="RadToolBar2" runat="server" Skin="Vista" SkinID="GridToolbar" Style="width: 100%">
                                    <CollapseAnimation Duration="200" Type="OutQuint" />
                                    <Items>
                                        <telerik:RadToolBarButton CommandName="X" ImageUrl="~/img/radimages/Icon.gif" Text="Export To CSV">
                                        </telerik:RadToolBarButton>
                                        <telerik:RadToolBarButton CommandName="C" ImageUrl="~/img/radimages/Cancel.gif" Text="Close">
                                        </telerik:RadToolBarButton>
                                    </Items>
                                </telerik:RadToolBar>
                            </div>
            <asp:HiddenField ID="hdnGrossAmt" runat="server" />
            <asp:HiddenField ID="hdnTDSDeposited" runat="server" />
            <asp:HiddenField ID="hdnTDSDepositing" runat="server" />
            <asp:HiddenField ID="hdnFilter" runat="server" />
        </ContentTemplate>
    </asp:UpdatePanel>
    <style type="text/css">
        .RadCalendarPopup
        {
            z-index: 500000 !important;
        }
        .rowRepeated
        {
            background-color: #d0d7e5;
            height: 30px;
            word-wrap: break-word;
        }
    </style>

    <script type="text/javascript">
        var rdoChange;

        $(document).ready(function() {
        });
        function pageLoad() {

            BindGrid("<%=dgData.ClientID %>", { "@SectionID": $.QS("SectionID"), "@QuarterID": $.QS("ID"), "Filter": $("#<%= hdnFilter.ClientID %>").val() });
            LoadFooterTotal();
        }
        function onToolBarClientButtonClicking(sender, args) {
            var mode = args.get_item().get_commandName();
            if (mode == "C") {
                MDI.Close();
                args.set_cancel(true);
            }
            else if (mode == "X") {
            BindGrid("<%=dgData.ClientID %>", { "@SectionID": $.QS("SectionID"), "@QuarterID": $.QS("ID"), "@Filter": $("#<%= hdnFilter.ClientID %>").val(), "Type": "TDSDetails_CSV" }, null, "Export");
                return false;
            }
        }

        function Dates_onClicking(sender, eventArgs) {
            if (eventArgs.get_item().get_value() == "Date") {
                eventArgs.set_cancel(true);
            }
            else if (eventArgs.get_item().get_value() == "Filter") {
                eventArgs.set_cancel(true);
            }
            else {
                var filter = "";
                if (eventArgs.get_item().get_value() == "Category")
                    filter = "AllCategories";
                else if (eventArgs.get_item().get_value() == "Year")
                    filter = "FinancialYear";
                $("#<%= hdnFilter.ClientID %>").val(filter);

            }
        }



        function Dates_Closing(sender, eventArgs) {
            if (DateFilterVisible && (eventArgs.get_item().get_value() == "Date" || eventArgs.get_item().get_value() == "Filter"))
                eventArgs.set_cancel(true);
        }

        var DateFilterVisible = false;

        function Dates_Opening(sender, eventArgs) {
            if (eventArgs.get_item().get_value() == "Date") {
            }
            else
                DateFilterVisible = false;
        }

        function Calender_Opening(sender, eventArgs) {
            DateFilterVisible = true;
        }

        function LoadFooterTotal() {
            $(".rgFooter").find(".ftrgrossamt").html($("#<%= hdnGrossAmt.ClientID %>").val());
            $(".rgFooter").find(".ftrtdsdeposited").html($("#<%= hdnTDSDepositing.ClientID %>").val());
            $(".rgFooter").find(".ftrtdsdeducted").html($("#<%= hdnTDSDeposited.ClientID %>").val());
        }
        function DateFilter() {
            return true;
        }     
    </script>

</asp:Content>
